%define debug_package %{nil}

Name: ovs-agent
Version: 3.4.3
Release: 7%{?dist}
Summary: Agent for Oracle VM
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-3.0.tar.bz2
Patch1: dummy.patch
Patch2: agent-reboot.patch
Patch3: bad-file-descriptor-py27.patch
Patch4: rev13470.patch
Patch5: rev13472.patch
Patch6: rev13492.patch
Patch7: rev13502.patch
Patch8: rev13516.patch
Patch9: rev13534.patch
Patch10: rev13551.patch
Patch11: rev13557.patch
Patch12: solaris_ldoms_attr.patch
Patch13: rev13583.patch
Patch14: rev13589.patch
Patch15: rev13595.patch
Patch16: rev13614.patch
Patch17: rev13622.patch
Patch18: rev13632.patch
Patch19: rev13644.patch
Patch20: rev13661.patch
Patch21: rev13675.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ocfs2-tools-devel >= 1.8
BuildRequires: libaio-devel >= 0.3
BuildRequires: python-devel >= 2.6
BuildRequires: xen-devel >= 4.3
BuildRequires: libuuid-devel >= 2.17.2
BuildRequires: osmd-devel >= 0.9
Requires: osmd >= 0.9
Requires: python >= 2.6
Requires: libuuid >= 2.17.2

%description
Agent daemon for Oracle VM.

%prep
%setup -q -n ovs-agent-3.0
%patch1 -p0
%patch2 -p0 -E
%patch3 -p0 -E
%patch4 -p0 -E
%patch5 -p0 -E
%patch6 -p0 -E
%patch7 -p0 -E
%patch8 -p0 -E
%patch9 -p0 -E
%patch10 -p0 -E
%patch11 -p0 -E
%patch12 -p0 -E
%patch13 -p0 -E
%patch14 -p0 -E
%patch15 -p0 -E
%patch16 -p0 -E
%patch17 -p0 -E
%patch18 -p0 -E
%patch19 -p0 -E
%patch20 -p0 -E
%patch21 -p0 -E

%build
make build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/var/cache/ovs-disk_info
mkdir -p ${RPM_BUILD_ROOT}/var/cache/ovs-multipath
mkdir -p ${RPM_BUILD_ROOT}/var/log/rescan_for_disks
mkdir -p ${RPM_BUILD_ROOT}/var/log/disconnect_device
mkdir -p ${RPM_BUILD_ROOT}/var/log/flush_inflight_io

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ $1 = 2 ]; then
    # Retain default password for OVM 3.1.1- upon upgrade.
    default_passwd='oracle:{SHA}QxNktkUPxHzNv2oiBd/bG663lBI='
    current_passwd=`cat /etc/ovs-agent/passwdfile`
    if [ "$current_passwd" = "$default_passwd" ]; then
        mv /etc/ovs-agent/passwdfile /etc/ovs-agent/passwdfile.default
    fi
fi

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ovs-agent
elif [ $1 = 2 ]; then
    # Retain default password for OVM 3.1.1- upon upgrade.
    if [ -f /etc/ovs-agent/passwdfile.default ]; then
        mv /etc/ovs-agent/passwdfile.default /etc/ovs-agent/passwdfile
    fi
    # Fix SMBIOS system UUID issue when upgrading to 3.2.1 [bug 14216405 & 14511018].
    ovs-agent-fake-uuid
fi
/usr/sbin/ovs-agent-keygen >/dev/null 2>&1

%preun
if [ $1 = 0 ]; then
    /sbin/service ovs-agent stop
    /sbin/chkconfig --del ovs-agent
fi

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) /etc/ovs-agent
/etc/init.d/ovs-agent
/etc/xen/scripts/*
%{_libdir}/python*/site-packages/*
%dir /var/cache/ovs-disk_info
%dir /var/cache/ovs-multipath
%dir /var/log/rescan_for_disks
%dir /var/log/disconnect_device
%dir /var/log/flush_inflight_io
%{_sbindir}/*

%changelog
* Fri Apr 14 2017 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.3-7 
- Change VXLAN underlying interface name from bond2 to pca_tun to reduce conflict.
  This makes bond2.4090 pca_tun.4090. [bug 25767180]  

* Mon Apr 10 2017 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.3-6 
- Persist disabling of multicast snooping on a bridge [bug 25863456]  

* Wed Mar 29 2017 Shelly Ma <shelly.ma@oracle.com> - 3.4.3-5 
- Preserving the same ETHTOOL_OPTS in config file when removing bridge over
  vlan Acknowledged by Adnan Misherfi<adnan.misherfi@oracle.com> [bug 25186932]  

* Tue Mar 28 2017 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.3-4 
- This patch is to support the manager fix to address the VCA VLAN segment
  provisioning problem.
  The changes in the manager and the serve are as follow:
  -The manager removes two network discover per VLAN interface creation.To
  support that the server changes are:
  - When Adding a vlan return if the vlan already exists instead of exiting with error
  - When removing a vlan return if the vlan does not exist instead of exiting with error. [bug 25797034]  

* Wed Mar 22 2017 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.3-3 
- Add XML RPC API to add/delete VXLAN interfaces on top of physical,bonds,and VLAN interfaces.
  VXLAN interface names  created are of the form (vxlanX, like vxlan5, vxlan400 ...etc)
  Add network discovery for VXLAN. VXLAN interfaces show up in the discover as any
  other other interface but with names like ( <Device Name="vxlan5">).
  Network discovery does not return bond2.4090 because it the base line interface for PCA.
  Change the MTU to 1550 of the underlying interfaces so that the payload of the VXLAN is 1500.
  IF the MTU of the underlying interface is 9000, then the payload of the VXLAN is 1850. MTU > 9000
  is not supported by the interfaces. [bug 25767180]  

* Tue Mar 21 2017 Sergei Garbuzov <sergei.garbuzov@oracle.com> - 3.4.3-2 
- The ovs-agent code could not distinguish local root disk
  partitions from LUN disk names when number of LUNs on the
  system is getting big. Implemented new 'get_dev_partitions(device)'
  function to be called whenever partitioning info for a device
  in question is needed.
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com> [bug 25261502]  

* Wed Feb 08 2017 Jingdong Lu <jingdong.lu@oracle.com> - 3.4.3-1
- Update version for 3.4.3 errata

* Tue Feb 07 2017 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.2-24
- Fix code bug in storage discover
  Python string find() method returns -1 if the substring is not found.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 25513216]  

* Mon Feb 06 2017 Shelly Ma <shelly.ma@oracle.com> - 3.4.2-23
- Enabled CPU pinning on running VM feature.
  Acknowledged by Adnan Mishefi <adnan.mishefi@oracle.com>
  Acknowledged by Zhigang Wang <zhigang.x.wang@oracle.com> [bug 24938500]  

* Thu Jan 26 2017 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.2-22
- Fix ovs-agent error during discover physical luns
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 25457192]  

* Thu Jan 26 2017 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-21
- 25171621 - ovs-agent on SPARC should permit setting cpu-arch, hostid, boot arguments, etc
  Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 25171621]  

* Fri Dec 23 2016 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.2-20 
- ovs-agent script to support grub2.cfg dom0_mem update for PCA
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 25306300]  

* Tue Dec 20 2016 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.2-19
- MD Raid device discovery support for OVM server
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 21910748] 
- MD Raid device size attribute is required in the discovery output
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 21910748]  

* Fri Dec 09 2016 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.2-18 
- This is to handle the case where a VLAN bridge was configured on this
  interface and now we are adding a bridge to the underlying physical
  interface. Then we must preserve the OFFLOAD options in the config file. [bug 25205533]  

* Tue Dec 06 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.2-17
- assembly/convertFile: sparsify raw disk images.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Herbert van den Bergh <herbert.van.den.bergh@oracle.com>
  Tested-by: Saar Maoz <Saar.Maoz@oracle.com> [bug 23594530]  

* Mon Dec 05 2016 Joe Jin <joe.jin@oracle.com> - 3.4.2-16 
- This is a regression, of patch for bug 20434500, QA tried to stop/start vlan
  bridge several times, duplicate ETHTOOL_OPTS entries added into ifcfg-eth,
  this patch will check if ETHTOOL_OPTS already existed  before add the config.
  Signed-off-by: Joe Jin <joe.jin@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 25182450]  

* Wed Nov 30 2016 Sergei Garbuzov <sergei.garbuzov@oracle.com> - 3.4.2-15 
- Ignore yum configuration options with unspecified values
  when configuring yum repos on the Server.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 25107129]  

* Wed Nov 30 2016 Shelly Ma <shelly.ma@oracle.com> - 3.4.2-14 
- fix iSCSI storage discovery slowness
  changing multipath -ll command to multipathd list topology [bug 25105813]  

* Thu Nov 10 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-13 
- Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug python] [bug 2.7] [bug --] [bug "bad] [bug file] [bug descriptor"] [bug log] [bug message] [bug when] [bug xmlrpc] [bug daemon] [bug restart]  

* Wed Nov 09 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-12 
- Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 24942919] [bug -] [bug ovs-agent] [bug fails] [bug to] [bug start] [bug upon] [bug reboot] [bug on] [bug T7] [bug servers]  

* Mon Oct 31 2016 Zhigang Wang <zhigang.x.wang@oracle.com>- 3.4.2-11
- Rebase tarball

* Wed Oct 26 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-10 
- vdiskserverdevice must use the same options on all vdsdev in the same mpgroup
  Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 24841667]

* Wed Oct 26 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-9
- The Sparc OVS-Agent should run with python 2.7
  Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 23507403]

* Tue Oct 25 2016 Sergei Garbuzov <sergei.garbuzov@oracle.com> - 3.4.2-8
- OVS agent network discovery code needs to take into account that
  FCoE service daemon may dynamically create VLAN interfaces with
  names encoded in the 'dev.vlan-fcoe' format.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 22634846]  

* Tue Oct 25 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-7 
- [fortify] Privacy Violation in ldmxml.py
  Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 23346973]

* Mon Oct 17 2016 Shelly Ma <shelly.ma@oracle.com> - 3.4.2-6 
- Set HTTPSSession timeout to 600s. Ackownledged by Zhigang Wang<zhigang.x.wang@oracle.com> [bug 24811201]

* Fri Oct 14 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-5
- Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 
  IMPROVE OVS-AGENT-SETUP CONFIGURE TO INCLUDE EXISTING VSWITCH TO NETWORK DB] [bug 18508248]  

* Thu Sep 01 2016 William Roche <william.roche@oracle.com> - 3.4.2-4
- 22584728 Too quick HA VM stop/start can leave VM running without its DLM lock protection
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com>
  Signed-off-by: Luong Nguyenduy <luong.nguyenduy@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 22584728]  

* Fri Aug 26 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.2-3
- fail to exportVirtualAppliance one vm with physicaldisk on Sparc server 
  Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 22745868] 

* Tue Aug 16 2016 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.2-2
- Fix NVMe disk partition check to prevent parent device returned when
  there are paritions created during discovery
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 24455750]  

* Wed Aug  3 2016 Jingdong Lu <jingdong.lu@oracle.com> - 3.4.2-1
- Update version for 3.4.2 errata

* Mon Aug 01 2016 William Roche <william.roche@oracle.com> - 3.4.1-157 
- 24377813 - Datatypes within published statistics interface needs to be completely validated
  Fix statistics numeric values out of range of long exception.
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com>
  Signed-off-by: Luong Nguyenduy <luong.nguyenduy@oracle.com> [bug 24377813]  

* Fri Jul 29 2016 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-156 
- Allow xsigo ports to be added to a bridge and to have an IP address configured on them. [bug 22694975]  

* Thu Jul 28 2016 William Roche <william.roche@oracle.com> - 3.4.1-155 
- 24368008 - OVS-Agent workaround to use redundant paths with NFS & Dual Service domains
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Luong Nguyenduy <luong.nguyenduy@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 24368008]  

* Thu Jul 28 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.1-154 
- Provide cancel migration in ovs-agent sparc
  Signed-off-by: Luong Nguyen-Duy <luong.nguyenduy@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 24313979]

* Thu Jul 28 2016 Firas Azar <firas.azar@oracle.com> - 3.4.1-153 
- Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Ke-Chiang Chen <ke-chiang.chen@oracle.com>
  Create a recovery daemon which attempts to put the server back online in case of clustering failure at startup. [bug 23169165]  

* Thu Jul 28 2016 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-152 
- mounted.ocfs2 is blocking, make sure it runs on active device mapper
  Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Firas Azar <firas.azar@oracle.com> [bug 22909259]  

* Wed Jul 27 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.1-151 
- Provide support for NVMe disk
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 24314346]

* Wed Jul 27 2016 Luong Nguyen-Duy <luong.nguyenduy@oracle.com> - 3.4.1-150 
- fail to exportVirtualAppliance one vm with physicaldisk on Sparc server 
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22745868]

* Mon Jul 25 2016 Sergei Garbuzov <sergei.garbuzov@oracle.com> - 3.4.1-149 
- Fix in network configuration scripts to allow addition/removal
  of disconnected links to/from a bridge.
  Bug-fixed-by: Sergei Garbuzov <sergei.garbuzov@oracle.com>
  Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 23072548]

* Tue Jul 19 2016 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-148 
- Support NVMe devices discovery
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22163111]  

* Tue May 31 2016 Firas Azar <firas.azar@oracle.com> - 3.4.1-147 
- Signed-off by: Firas Azar <firas.azar@oracle.com>
  Adjust OVS agent init timer from 30s to 60s for physical disks to accomodate large numbers of paths. [bug 23504795]  

* Mon May 09 2016 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-146 
- Added processing for maxmem and maxvcpus as per the OVF spec.; they will now be included when the vm.cfg is created from a .OVF.
  23252750 - VM created by Virtual Appliance got a wrong CPU number 
  Bug-fixed-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 23252750]

* Mon May 09 2016 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-145 
- Fix ovs_bond_op remove port operation for xsigo
  23252320 - ncorrect error message when removing xsigo port from bondport
  Bug-fixed-by: Carson Hovey <carson.hovey@oracle.com>
  Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 23252320]

* Fri Apr 22 2016 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-144 
- Add New feature on the server to add/delete/show routes on a given interface.
  This is a required feature by PCA. [bug 23154685]  

* Thu Feb 11 2016 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-143 
- certificate.pem - create with -sha256 (not sha1)
  22343821 - Oracle VM Server SSL key vulnerability
  Bug-fixed-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 22343821]

* Tue Feb 09 2016 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-142 
- Fix syntax error.
  22674816 - ovs-vlan-config
  Bug-fixed-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 22674816]

* Tue Feb 09 2016 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-141 
- Fix statistics numeric valus out of range of long exception.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> [bug 22673500]  

* Wed Feb 03 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-140 
- repository: prevent meta data corruption
  Add a flush() and lock to pretect it.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Khodakovski <alexandre.khodakovski@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com> [bug 22045180]  

* Tue Jan 26 2016 William Roche <william.roche@oracle.com> - 3.4.1-139 
- 22242502 - Abort vm live migration caused vm stopped
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22242502]  

* Thu Jan 14 2016 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-138 
- When removing a bridge with a physical interface, and the physical interface has a
  VLAN interface to another bridge, preserve  Ethernet off load setting in ifcfg-ethX file [bug 20434500]  

* Wed Jan 13 2016 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-137 
- Add more checks to allow discovery and processing of xsigo interfaces
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 22498487]  

* Mon Jan 11 2016 Firas Azar <firas.azar@oracle.com> - 3.4.1-136 
- Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  This patch fixes an issue where a lock file "residue" remains on a server if the server fails to take a DLM lock (e.g. when HA tries to start a VM, etc.). Later on, OVS agent fails to take the lock because the lock file is present locally, and EEXISTS error is raised. In this change, OVS agent will always remove the "local" lock file if a ETXTBSY error is detected. [bug 22471909]  

* Wed Jan 06 2016 William Roche <william.roche@oracle.com> - 3.4.1-135 
- 22242502 - Abort vm live migration caused vm stopped
  18704027 - ABORT VM MIGRATION LEAD TO VM STATUS INCONSISTENCE BETWEEN OVMM AND SERVER
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22242502] [bug 18704027]  

* Wed Jan 06 2016 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-134 
- Add check to allow discovery of xsigo interfaces
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 22152805]  

* Thu Dec 24 2015 William Roche <william.roche@oracle.com> - 3.4.1-133 
- 22448939 - Apparent size shouldn't be based on "File System Statistics Collection Interval"
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22448939]  

* Wed Dec 23 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-132 
- fix ovs-agent-dlm return value
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> [bug 22462444]  

* Tue Dec 22 2015 Firas Azar <firas.azar@oracle.com> - 3.4.1-131 
- Signed-Off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-Off by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-Off by: Guido Tijskens <guido.tijskens@oracle.com>
  This patch changes the VM running locks behavior, especially for HA VMs. It addresses bug 21780684, where multiple copies of the same HA-enabled VM start on different servers under load or stress condition.
  The changes are as follows:
  - Remove local VM running lock. If the server is clustered, DLM lock is used. If the server is not clustered, no lock at all will be used. We are eliminating the 2-phase locking (local + DLM) for clustered case.
  - Simplify and clean up the code in ovs-agent-dlm, to clearly separate clustered and non-clustered cases.
  - Changes in DLM FS
  - in HA, bypass the check "is_vm_running_locally" [bug 22457332]  

* Tue Dec 22 2015 William Roche <william.roche@oracle.com> - 3.4.1-130 
- 20064898 - SERVERPOOL CREATED WITH SAME FILESYSTEM ON ANOTHER MANAGER.
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 20064898]  

* Thu Dec 17 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-129 
- To separate apparent size server from file system stats server
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22171053]  

* Wed Dec 16 2015 William Roche <william.roche@oracle.com> - 3.4.1-128 
- 22186490 - sparc server upgrade between 3.4.1 builds fail with server error
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22186490]  

* Wed Dec 16 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-127 
- XMLRPC server: read pending data before send error
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 22147880]  

* Mon Dec 14 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-126 
- sign certificate using sha256 instead of sha1
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Dec 10 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-125 
- update copyright year
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22339323]  

* Thu Dec 10 2015 William Roche <william.roche@oracle.com> - 3.4.1-124 
- 22337497 - SPARC Agent not uninstalling due to recent change
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22337497]  

* Tue Dec 08 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-123 
- add CloudNet support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Dec 04 2015 William Roche <william.roche@oracle.com> - 3.4.1-122 
- 22082717 - HA vm did not startup after vm poweroff within vm.
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22082717]  

* Mon Nov 23 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-121 
- get_support_files: remove printing module from sos blacklist
  We upgraded sos and `printing` module is removed. We get this error:
  a non-existing plugin (printing) was specified in the command line
  As we don't need printing module anyways, just remove it.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Nov 09 2015 Livy Ge <livy.ge@oracle.com> - 3.4.1-120
- remove some directories from spec file list to fix yum conflict error [bug 22167235] (zhigang.x.wang)
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
 
* Fri Nov 06 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-119 
- remove some directories from spec file list
  This is to fix OL7 yum error:
  file /usr/sbin conflicts between attempted installs of ovs-agent-3.4.1-116.el6.x86_64 and filesystem-2.4.30-3.el6.x86_64
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Nov 05 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-118 
- sync repository meta after write
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> [bug 22045180]  

* Wed Nov 04 2015 William Roche <william.roche@oracle.com> - 3.4.1-117 
- 22151073 - Port fix for 22082624 to the Sparc Solaris FS Statistics code
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Ken Chen <ke-chiang.chen@oracle.com> [bug 22151073]  

* Thu Oct 29 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-116 
- limit du command to OVM repositories mount directories only
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22082624]  

* Fri Oct 23 2015 William Roche <william.roche@oracle.com> - 3.4.1-115 
- 22011556 - support for apparent size is missing for Sparc servers
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 22011556]  

* Fri Oct 23 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-114 
- Correct typo in usage text. Change stop to remove.
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Oct 23 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-113 
- Reword error message. The suggestion to remove other interface first does not apply in all situations. Now it just says that the primary port cannot be removed.
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 21257373] 
  21257373 - MISLEADING MESSAGES DURING REMOVING PORTS FROM BOND  

* Mon Oct 19 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-112 
- Add support to configure a VLAN on  CouldNet interfaces, and to discover these interfaces. 

* Tue Oct 13 2015 Vasu Srinivasan <vasu.srinivasan@oracle.com> - 3.4.1-111 
- 21771684 - defaultfixed net profile removal prevents the ovs-agent startup
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 21771684]  

* Tue Oct 13 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-110 
- copy_file will now unlink the dst file when the copy fails or the process is terminated (Aborted).
  22011754 - THE DD PROCESS IS STILL RUNNING AFTER ABORT A CLONE JOB
  22011817 - OVS-Agent 3.4.1.1059 FAILED JOB DOES NOT CLEAN AFTER ITSELF. 
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22011754] [bug 22011817]

* Tue Sep 29 2015 William Roche <william.roche@oracle.com> - 3.4.1-109 
- 21354377 - UPGRADE 3.3.1 SPARC SERVER TO 3.4.1 SHOW SUCCESS BUT NOT UPGRADE ACTUALLY
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 21354377]  

* Tue Sep 29 2015 Vasu Srinivasan <vasu.srinivasan@oracle.com> - 3.4.1-108 
- 18803682 - UNINSTALL OF AGENT FAILED SVCADM DISABLE LEFT CLUSTER_LOCK FILE ON SPARC SERVER
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 18803682]  

* Thu Sep 24 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-107 
- disable dynamic vcpu pin while VM is running
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 21886830]  

* Tue Sep 22 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-106 
- Added new filesystem statistic attribute TotalFilesSize
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 21884276]  

* Tue Sep 22 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-105 
- Fix: Edit Bond Port permission denied on UEK4
  21846092 - Edit Bond Port Failed with Permission Denied Exception
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 21846092]

* Fri Sep 11 2015 Firas Azar <firas.azar@oracle.com> - 3.4.1-104 
- Oracle Bug: 21824127
  Signed-off by: Firas Azar <firas.azar@oracle.com>
  Backing out previous change for multipath command in multipath.py. There is one case where the output of multipath -ll and "multipathd list show" are different, where a "create" word appears next to the device uuid. This is apparently causing null paths to be sent to manager 

* Fri Sep 11 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-103 
- Forward port the fix for bug 20390557 from 3.3trunk to 3.4 [bug 20384302]  

* Fri Sep 11 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-102 
- Forward-port rpc command to return available space on system disks
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 21825252]  

* Wed Sep 09 2015 Firas Azar <firas.azar@oracle.com> - 3.4.1-101 
- Signed-off by: Ken Chen <ke-chiang.chen@oracle.com>
  Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Replace "multipath -ll" command with "multipathd list topology" which produces the same output but executes faster in certain situations. [bug 21792966]  

* Wed Sep 09 2015 William Roche <william.roche@oracle.com> - 3.4.1-100 
- 21137720 - ORACLE VM AGENT DOESN'T COME UP WITH PYTHON2.7 -- DEFAULT ON SOLARIS 11.3
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 21137720]  

* Mon Aug 31 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-99 
- Fix spelling. inteface-->interface.
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> 

* Fri Aug 28 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-98 
- set a default value to discover_physical_luns() args
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Aug 20 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-97 
- repository refresh: enlarge timeout to 30 seconds from 5
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 21417857]  

* Thu Aug 20 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-96 
- assembly: create_assembly: ignore attached media and only add empty cdrom
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jimmy Van Broeck <jimmy.van.broeck@oracle.com> 

* Wed Aug 19 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-95 
- Added code to prevent a possible infinite loop while checking migration stats. [bug 21613871]  

* Mon Aug 03 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-94 
- Added storage_migration_delete_vm call. Cleaned up whitespace. [bug 21516934]  

* Wed Jul 22 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-93 
- Fixed calling close on errored migrates [bug 21385969]  

* Fri Jul 10 2015 William Roche <william.roche@oracle.com> - 3.4.1-92 
- Revert changes introduced with revision 12549
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20443098]  

* Wed Jul 01 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-91 
- Correct slave device name when removing  it from a bond. [bug 21341366]  

* Mon Jun 29 2015 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.4.1-90  
- Fixed double definition [bug 21214583] (cathy.avery@oracle.com)

* Mon Jun 29 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-89 
- Fix repository meta db compatible issue between x86 server and Sparc.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com>
  Bug-fixed-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 21272065]  

* Wed Jun 24 2015 William Roche <william.roche@oracle.com> - 3.4.1-88 
- 20443098 - NFSV4 DELEGATION CAN INTERFERE WITH HA OVS-AGENT HEARTBEAT UPDATE
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com> [bug 20443098]  

* Fri Jun 19 2015 Vasu Srinivasan <vasu.srinivasan@oracle.com> - 3.4.1-87 
- 20181716 - UNABLE TO DISCOVER A SPARC SERVER WITH A VIRTUAL SWITCH
  Signed-off-by: Vasu Srinivasan <vasu.srinivasan@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20181716]  

* Fri Jun 19 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-86 
- assembly: fix OVM exported VM cannot import to VirtualBox issue
  1. Remove optional package.cert.
  2. Add AddressOnParent.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 21261077] [bug 21270574]  

* Wed Jun 17 2015 Tianyue Lan <tianyue.lan@oracle.com> - 3.4.1-85
- Rebuild 

* Wed Jun 17 2015 William Roche <william.roche@oracle.com> - 3.4.1-84
- 18950394 - UNABLE TO STOP VM WHEN NO VIRTUAL MACHINE DISKS ARE CONFIGURED
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 18950394]  

* Tue Jun 04 2015 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.4.1-83
- Correct changelog

* Tue Jun 02 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-82
- Remove defaults [bug 21171785]

* Thu May 21 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-81 
- Added check for no storage files. [bug 21128766]  

* Tue May 19 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-80 
- Added support for Manager storage migration of Virtual Machine config. 

* Mon May 11 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-79 
- do not log periodic status events
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Sat May 09 2015 William Roche <william.roche@oracle.com> - 3.4.1-78 
- 20976213 - CLEAN UP PYTHON CODE
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20976213]  

* Fri May 01 2015 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-77 
- Added storage migration support 

* Fri Apr 29 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-76
- Require osmd [bug 20983709]

* Tue Apr 28 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-75 
- Bond config needed this fix also.
  Disable generic receive offload (GRO) on ixgbe when adding it to a bridge [bug 19513990]  

* Tue Apr 28 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-74 
- Disable generic receive offload (GRO) on ixgbe when adding it to a bridge [bug 19513990]  

* Mon Apr 13 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-73 
- stop_vm now cleans xc_restore process from failed migration
  13939895 FAIL MIGRATION RESET SOURCE SVR > XC_RESTORE IS HANGING
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13939895]

* Wed Apr 08 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-72 
- add status report support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> 

* Wed Apr 08 2015 William Roche <william.roche@oracle.com> - 3.4.1-71 
- 20756953 - ERROR REMOVING PORT NET1 FROM NETWORK, FAILED TO REMOVE VIRTUAL SWITCH
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20756953]  

* Tue Apr 07 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-70 
- store repository meta data (like virtual disk simple names, etc) for Manager
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Apr 03 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-69 
- Added support for ovs-agent restart event for OVM Manager
  Signed-off-by: Zhiagng Wang <zhiagng.x.wang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> [bug 20780706]  

* Wed Apr 01 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-68 
- Added debug information to delete_repository command
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com> [bug 20616914]  

* Tue Mar 31 2015 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-67 
- Partial Template download lingers after power failure.
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 17220546]  

* Mon Mar 30 2015 William Roche <william.roche@oracle.com> - 3.4.1-66 
- 20708837 - FILESYSTEM STATISTICS BECAME ZERO AFTER SOME TIME
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20708837]  

* Thu Mar 26 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-65 
- Added ovs agent start event for OVM Manager
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> [bug 20780706]  

* Wed Mar 18 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-64 
- assembly: fix punit parsing and checksum re
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 20605749]  

* Thu Feb 26 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-63 
- fix assembly creation from share disk VMs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 20606717]  

* Thu Feb 26 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-62 
- Fix get filesystem uuid error on nfs server
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 20605998]  

* Wed Feb 25 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-61 
- Fix cpu and memory utilization stats with value zero
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 20393715]  

* Mon Feb 23 2015 William Roche <william.roche@oracle.com> - 3.4.1-60 
- 18946123 - NTPQ -P COMMAND DOES NOT WORK ON SPARC SERVER UNDER OVMM
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 18946123]  

* Fri Feb 20 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-59 
- assembly: improve PUnit parsing
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 20526010]  

* Thu Feb 12 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-58 
- Export OVA as VMDK
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jimmy Van Broeck <jimmy.van.broeck@oracle.com> 

* Wed Feb 11 2015 William Roche <william.roche@oracle.com> - 3.4.1-57 
- 20393653 - SPARC SERVER NEEDS TO SUPPORT FILE SYSTEM STATISTICS
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20393653]  

* Tue Feb 10 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-56 
- added new file system stats and stats daemon improvement
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Ke-Chiang Chen <ke-chiang.chen@oracle.com> [bug 20432614]  

* Wed Feb 04 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-55 
- make proxy configurable for file download
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 20474066]  

* Mon Feb 02 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-54 
- Do not write HWADDR to ifcfg file if interface is a VLAN over a bond, as it may not come up on restart
  if the MAC address of the bond changed. [bug 19802238]  

* Mon Feb 02 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-53 
- Port r11832 (ETHTOOL off load) to openvswitch config scripts 

* Wed Jan 28 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-52 
- When adding a port to a bond, and the bond is a bridge interface, then disable LRO on the new port. [bug 20384302]  

* Wed Jan 21 2015 William Roche <william.roche@oracle.com> - 3.4.1-51 
- 20025713 - ADDING SERVER TO POOL - SERVER CLUSTER FAILURE - FAILED TO DECONFIGURE CLUSTER
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 20025713]  

* Fri Jan 09 2015 Firas Azar <firas.azar@oracle.com> - 3.4.1-50 
- When creating a new clustered pool file system, first check in agent that there is no OCFS2 cluster or NFS share already present. This applies to NFS and LUN clusters, and should help prevent re-use of an existing clustered pool filesystem by another OVM manager. [bug 20064898]  

* Tue Dec 16 2014 William Roche <william.roche@oracle.com> - 3.4.1-49 
- 19248457 - LONG SERVER DISCOVERY TIME (SEVERAL HOURS) WITH LARGE NUMBER OF DISKS
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 19248457]  

* Tue Dec 09 2014 William Roche <william.roche@oracle.com> - 3.4.1-48 
- UNABLE TO CHANGE THE MTU ON A DLMP/ACTIVE_BACKUP AGGREGATION. [bug 19846134]
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>

* Fri Nov 28 2014 William Roche <william.roche@oracle.com> - 3.4.1-47 
- This patch includes additional debug in the umount function, which was the reason destroying the pool file system failed. It also fixes a Python issue in function unregister_ocfs2_cluster_name. [bug 20047925] 
- SPARC AGENT INSTALLER FAILS IN LDMXML.PY: MDSTORE ROUTINE FAILED TO LOAD. [bug 19306320]
  Signed-off-by: William Roche <william.roche@oracle.com>

* Wed Nov 12 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-46 
- Added file system statistic interval and uuids to server discovery
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Nov 11 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-45 
- Additional debug statements in function copy_file to help debug no child processes error. [bug 19904419]  

* Thu Nov 06 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-44 
- Removed pool Virtual IP and master server
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com> [bug 19957947]  

* Thu Nov 06 2014 William Roche <william.roche@oracle.com> - 3.4.1-43 
- TAKING OWNERSHIP OF SVR FAILS, SVCADM ENABLE NTP DIDN'T RETURN EXPECTED VALUE. [bug 19949638]
  Signed-off-by: William Roche <william.roche@oracle.com>

* Tue Nov 04 2014 Cathy Avery <cathy.avery@oracle.com> - 3.4.1-42 
- Added Support for virtual disk dynamic expansion notification [bug 16373321]  

* Mon Nov 03 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-41 
- Use virtual disk image filename as key for disk I/O statistics
  Before we use full disk image patch like '/OVS/Repositories/0004fb0000030000633f94d2a237bf12/VirtualDisks/400a3e80d64249ecaa029f931dda867d.img'.
  Now we use '400a3e80d64249ecaa029f931dda867d.img'.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Nov 03 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-40 
- DISCOVER_NETWORK FAILED - NO DEVICE FOUND VSWITCH SWITCH@1 [bug 19877572]
  Signed-off-by: William Roche <william.roche@oracle.com>
- Use VIF MAC address for VM network statistic
  Before we use vif index like '0'. Now we use '00:15:17:1C:99:64'.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Wed Oct 29 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-39 
- added system disk space for server discovery
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Oct 29 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-38 
- check for agent password length. [bug 18712976]
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>

* Tue Oct 28 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-37 
- make ovs-agent support TLSv1, TLSv1_1 and TLSv1_2
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Oct 28 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-36 
- Added file system available space statistic support
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Mon Oct 27 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-35 
- Server pool VIP and master server changes for OVS-Agent:
  - Pool virtual IP removed from server and manager
  - Master server removed from core and confined to server (OVS-Agent): the remaster rule is simplified: the server which takes the DLM lock will be the master 

* Thu Oct 23 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-34 
- support ova export and deploy_assembly_to_vm()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Oct 20 2014 William Roche <william.roche@oracle.com> - 3.4.1-33 
- REFRESHING FS FAILS EXECUTING OCFS2_GET_META DATA TO SVR - NOT ENOUGH ARGS
  Signed-off-by: William Roche <william.roche@oracle.com> [bug 19856479]

* Fri Oct 17 2014 William Roche <william.roche@oracle.com> - 3.4.1-32 
- INSTALLATION OF ORACLE VM AGENT FOR SPARC FAILS ON S11.2 [bug 18904620]
  Signed-off-by: William Roche <william.roche@oracle.com>

* Wed Oct 08 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-31 
- send per physical cpu utilization statistic
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jim Perry <jim.perry@oracle.com> [bug 18722002]  

* Fri Oct 03 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-30 
- Use ETHTOOL_OPTS directive instead of ETHTOOL_OFFLOAD_OPTS which was OVM work around to persist LRO setting (disabled) for 10G interfaces [bug 19731085]  

* Thu Oct 02 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-29 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com>
  When a server leaves the clustered server pool in error state (rebooted, down, offline, etc.) make sure ovs-agent dbs are in sync to avoid unnecessary traffic from HA. [bug 19720245]  

* Wed Oct 01 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-28 
- Fix incorrect vm cpu utilization stats
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18364004]  

* Thu Sep 25 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-27 
- Signed-off by: Firas Azar <firas.azar@oracle.com>
  Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Revert all VIP removal changes in revision 11775. 

* Thu Sep 25 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-26 
- Do not use intermediate shell when invoking process.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 17634608]  

* Thu Sep 25 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-25 
- Virtual IP (VIP) removed from OVS-Agent:
  - Replaced with master server IP address
  - Created a new API to set the master IP address
  - Removed all VIP related APIs and methods
  - Made needed changes in remaster daemon
  - Includes common, x86 and solaris code 

* Wed Sep 17 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-24 
- assembly import: add some support for OVF spec 2.1.0
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 19547748]  

* Tue Sep 16 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.4.1-23
- Rebuild with xen-4.4 [bug 19631278]

* Tue Sep 16 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-22 
- Fix problem with change password.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 19561751 - CHANGE PASSWD JOB FAILS IF AGENT RESTART TIMESOUT BUT PASSWD IS STILL CHANGED
   

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-21
- Rebuild with xen 4.4 [bug 19466188]

* Tue Aug 26 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-20 
- Move calls to logging outside of multiprocessing callback routine.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: AZAR <firas.azar@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 18836400 - FAILED TO HANDLE LOG REQUEST: __INIT__() TAKES EXACTLY 5 ARGUMENTS (1 GIVEN) 

* Mon Aug 18 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-19 
- Fix a typo [bug 18978694]  

* Tue Aug 12 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-18 
- storage_discover disk size 0 with some active/ghost configurations
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: KE-CHIANG.CHEN <ke-chiang.chen@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 19420785 - ORACLE VM MANAGER DISPLAYS DISK SIZE 0 

* Thu Aug 07 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-17 
- Bug 19170020 - LSB init script header conventions clean-up.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 19170020 

* Tue Aug 05 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-16 
- Error handling enhancements in ovs-agent cluster code:
  - More explicit error messages
  - Handle some error cases: e.g. "already in cluster", "cluster.conf already exists"
  Specific to x86 / OCFS2 clusters. [bug 19364810]  

* Thu Jul 31 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 3.4.1-15 
- Fix incorrect getuid_callout is used for virtual disks
  19220452 - disk not included in physical lun discovery
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Signed0off-by: Firas Azar <firas.azar@oracle.com> [bug 19220452]

* Wed Jul 23 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-14 
- add VM_RESTART_ACTIONS capability
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jul 18 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-13 
- do not raise exception when vbd statistic is missing
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jul 10 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-12 
- IPMI power - change so that lan, lanplus happen at the same time.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Jul 07 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-11 
- Fix exception: On some system systems, ipmi power off when system is already in a power off state is an exception.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Oracle-bug: 19015462 - EXCEPTION DURING REMOTE_POWER_OFF COMMAND TO STOP A SERVER 

* Thu Jun 19 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.4.1-10 
- Bug 18934340 - VM SERIAL CONSOLE CAN NOT BE CONNECTED AFTER REBOOT SPARC PRIMARY DOMAIN
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Wed Jun 18 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.4.1-9 
- Bug 18934340 - VM SERIAL CONSOLE CAN NOT BE CONNECTED AFTER REBOOT SPARC PRIMARY DOMAIN
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Wed Jun 11 2014 Carson Hovey <carson.hovey@oracle.com> - 3.4.1-8 
- storage_discover clean-up. Remove unused functions and general clean-up.
  Signed-off-by: KE-CHIANG.CHEN <ke-chiang.chen@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Jun 11 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-7 
- Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18910413]  

* Mon Jun 09 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.4.1-6 
- Use MACADDR instead of HWADDR if ifcfg files to force init script to set the bridge MAC address to the
  underlying (ethx, or bond)  MAC, to prevent the bridge MAC of changing when a VIF of lower
  value address connect to it. [bug 18922786]  

* Mon Jun 09 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-5 
- fix log masking
  When `record.args = (('http://username:password@example.com/',),)`, which is a
  tuple in a tuple,  we cannot mask it correctly.
  This patch fixes the problem by masking log recursively.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 18936707]  

* Wed Jun 04 2014 Firas Azar <firas.azar@oracle.com> - 3.4.1-4 
- Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18591136]  

* Mon Jun 02 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-3 
- add freeSwap to Server statistic
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 18811663]  

* Wed May 28 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.4.1-2 
- report dom0 cpu time in statistic
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 18847136]  

* Tue May 20 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.4.1-1
- Update version/release for 3.4.1
- Rebase tarball

* Thu May 15 2014 William Roche <william.roche@oracle.com> - 3.3.1-276 
- Bug 18744995 - ADDING SERVER TO POOL, FAILED TO DECONFIGURE CLUSTER
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed May 07 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-275 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Ken Chen <ke-chiang.chen@oracle.com> [bug 18681849]  

* Wed Apr 30 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-274 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Ken Chen <ke-chiang.chen@oracle.com> [bug 18685023]  

* Tue Apr 29 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-273 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Ken Chen <ke-chiang.chen@oracle.com> [bug 18663487]  

* Mon Apr 21 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-272 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Cathy A Avery <cathy.avery@oracle.com>
  Signed off by: Ken Chen <ke-chiang.chen@oracle.com> [bug 18546275]  

* Fri Apr 18 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-271 
- Signed-off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Ken Chen <ke-chiang.chen@oracle.com>
  Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18595192]  

* Fri Apr 18 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-270 
- Bug 18611554 - LOW PRIMARY MEMORY WARNING SHOULD NOT INCREASE MEMORY DURING AGENT CONFIGURATION
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Apr 16 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-269 
- BUG 18597255 - DISABLE AUTOMATIC CREATION OF ALTERNATE PATH VDISKS WHEN MPXIO IS DISABLED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Apr 10 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-268 
- rebuild [bug 18552963]

* Thu Apr 10 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-267 
- Bug 18538433 - ADDING VNET IS BROKEN IN SOME CASES WITH SECONDARY SERVICE DOMAIN
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Apr 09 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-266 
- Do not write the MAC address to the ifcfg file, if device is a bond, bridge interface,
  or vlan over a bond. [bug 16105407]  

* Fri Apr 04 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-265 
- Clean up the state file after vm save failure
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 18499441]  

* Mon Mar 31 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-264 
- add SYS_REPO_PART_PREFIX to repository partition device mapper
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Acked-by: Julie Trask <julie.trask@oracle.com> [bug 18484275]  

* Wed Mar 26 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-263 
- Bug 18423585 - SMBIOS ISSUE AFTER UPGRADING SPARC SERVER FROM 3.2 TO 3.3
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 26 2014 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-262 
- Clean up issues identified by Eclipse PyDev code scanning tool.
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: TRASK <julie.trask@oracle.com>
  Oracle-bug: 18392490 - PYDEV ERRORS FOUND IN AGENT 

* Mon Mar 24 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.3.1-261
- rebuild

* Thu Mar 20 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-260 
- SPARC - add ovs-agent-secondary command to create and configure secondary domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 19 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-259 
- SPARC - change LDoms Manager dependency to LDoms 3.1.1
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Mar 17 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-258 
- Bug 18412305 - USCSICMD IOCTL FAILED: I/O ERROR REPORTED WHILE CLONING PD TO VD
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Mar 13 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-257 
- Bug 18377472 - EMBEDDEDEDIT SPARC VLANINTERFACE IP FAILED AND IPCONFIG FIELDS REMOVED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 12 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-256 
- BUG 18333764 - SPARC SERVER DLM SELF FENCE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 12 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-255 
- Bug 18369834 - ONE OF THE SLAVE PORT MTU CHANGED TO 1216 AFTER EDITING THE BONDPORT ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Mar 11 2014  <> - 3.3.1-254 
- Added one second delay if editing an exisitng export entry
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com> [bug 18245527]  

* Tue Mar 11 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-253 
- The problem was caused by re-naming a xsigo interface to inifiniband device name (ibn).
  this re-naming triggered a failure in the network discovery code.This re-naming is wrong
  and should never be done because ibn is the default name for IB devices. [bug 18361991]  

* Wed Mar 05 2014 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.3.1-252 
- The rev11274.patch_20626 patch seems to be exactly the same as rev11274.patch
  so removed it

* Wed Mar 05 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-251 
- Bug 18338201 - CANNOT EDIT UNDERLYING PORT MTU OF VLAN INTERFACE ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Feb 28 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-250
- Initialize the bond in order before adding any slaves. This code change 
  will not fix this problem but at lease we makes sure that config is not the problem.
  This problem is caused by bonding sending arp request on both interface, where it should
  should them on the current active slave only. This is confusing the bridge causing it to
  map the quest MAC in its forwarding table to a different port than the VIF which is wrong.
  More on this later. [bug 17823754]

* Wed Feb 26 2014 Cathy Avery <cathy.avery@oracle.com> - 3.3.1-249 
- Revised checkin for core request manager ip on discover_servers. 

* Wed Feb 26 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-248 
- Do not enable lro when removing a vlan bridge if there still other vlan bridges or if
  there is a bridge on the physical interface.
  Restructure the code to make enable/disable lro common between Linux bridge,
  and openvswitch. [bug 18315399]  

* Tue Feb 25 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-247 
- Added core request to provide manager ip address in discover_server (SPARC changes)
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 25 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-246 
- SPARC - reconfiguring cpus should not also reconfigure memory
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 25 2014 Cathy Avery <cathy.avery@oracle.com> - 3.3.1-245 
- Added core request to provide manager ip address in discover_server. 

* Tue Feb 25 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-244 
- Bug 18306267 - UPDATING VCC CONFIGURATION SHOULD NOT REQUIRE FACTORY-DEFAULT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 25 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-243 
- SPARC - temporary fix for 18306267
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 25 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-242 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Cathy A Avery <cathy.avery@oracle.com> [bug 18037359]  

* Mon Feb 24 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-241 
- Bug 17581371 - AGENT FAILS TO START BECAUSE VDS DEVICE IS OFFLINE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Sun Feb 23 2014 Chuang Cao <chuang.cao@oracle.com> - 3.3.1-240 
- Remove the illegal chars when making a xml data from bondX
  Signed-off-by:Chuang Cao <chuang.cao@oracle.com>
  Reviewed-by: Joe Jin <joe.jin@oracle.com>
  Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17237746]  

* Fri Feb 21 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-239 
- Bug 18086201 - HARD RESET SPARC SERVER FROM REMOTE CONSOLE,OVS AGENT CAN NOT RESTART.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Feb 21 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-238 
- remove the warning message during rpm installation.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri Feb 21 2014 Tianyue Lan <tianyue.lan@oracle.com> - 3.3.1-237
- remove rpm installation warning messages [bug 18289582]
  Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 20 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-236 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Paul Reilly <paul.reilly@oracle.com> [bug 18252548]  

* Thu Feb 20 2014 Firas Azar <firas.azar@oracle.com> - 3.3.1-235 
- Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off by: Paul Reilly <paul.reilly@oracle.com>
   [bug 18252548]  

* Wed Feb 19 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-234 
- Do not revert to the primary slave when failure of the active slave or recovery
  of the primary slave occurs. [bug 18277088]  

* Wed Feb 19 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-233 
- SPARC - motd should be updated by ovs-agent-setup
  SPARC - motd should have information for unconfiguring the agent
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 18 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-232 
- Bug 18245995 - DISKIO SOMETIMES RETURNS 1 ALTHOUGH COPY IS SUCCESSFUL
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 18 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-231 
- improve ovs_async_proc_status
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 18261566]  

* Mon Feb 17 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-230
- remove python-requests from runtime dependencies [bug 18260755]

* Mon Feb 17 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-229 
- Use the correct way to wait for children to terminate
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18077040]  

* Fri Feb 14 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-228 
- replace python-requests with httplib to send notifications.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Feb 12 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-227 
- SPARC - cluster capabilities should be disabled when dlm is not installed
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Feb 12 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-226 
- Bug 18235312 - OVS-LDOMS INSTALL FAILS WHEN THERE IS AN UNCONNECTED ISCSI TARGET
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Feb 07 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-225 
- wait for all children to terminate and then collect them to avoid defunct processes.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18077040]  

* Thu Feb 06 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-224 
- Bug 18197171 - CREATING FS FAILS ON DISK WITH NO PAGE83 NAA IDENTIFIER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 04 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-223 
- fix stale lock after take/release_ownership()
  1. If the Server is already owned by the same Manager, XMLRPC Server will not restart.
  2. If we need to restart the XMLRPC Server and kill the processes, we clean up locks.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 18145875]  

* Mon Feb 03 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-222 
- collect children to fix the defunct python process issue
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 18077040]  

* Fri Jan 31 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-221 
- Bug 18119040 - REMOVING ACCESSHOST FROM STORAGEARRAY DOESN'T CAUSE LOGOUT AFTER REFRESH
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jan 30 2014 Eunice Moon <eunice.moon@oracle.com> - 3.3.1-220 
- Bug 18134462 - AGENT FAILED TO START IF ISCSI/INITIATOR SERVICE IS NOT ONLINE
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 29 2014 Dawn Tse <dawn.tse@oracle.com> - 3.3.1-219 
- Bug 18140729 - AGENT DOESN'T RETURN ERROR WHEN DHCP ADDRESS FAILED TO ASSIGN ON VLAN INTERFACE
  Signed-off-by: Dawn Tse <dawn.tse@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 29 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-218 
- SPARC - agent should be able to run without the DLM
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 29 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-217 
- Agent will return signed server certificate to manager during discover_server().
  Manager will use this info to determine whether a take_ownership() is needed or not.
  This is for the Solaris part.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 18145875]  

* Tue Jan 28 2014 Rory Foster <rory.foster@oracle.com> - 3.3.1-216 
- SPARC - configure server with cpu cores instead of cpu threads
  Signed-off-by: Rory Foster <rory.foster@oracle.com>
  Signed-off-by: Alex Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 28 2014 Eunice Moon <eunice.moon@oracle.com> - 3.3.1-215 
- SPARC - Agent fix to handle old SAS disks
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jan 24 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-214 
- Return signed server certificate in discover_server().
  Manager will use this info to determine whether a take_ownership() is needed or not.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 18111117]  

* Wed Jan 22 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-213 
- Bug 18111983 - HOT ADD VDISK FAILS WITH SHADOW DOMAIN
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 22 2014 Eunice Moon <eunice.moon@oracle.com> - 3.3.1-212 
- Bug 18075618 - EXISTING BRIDGE CONFIGURATION IS NOT PERSISTENT AFTER A RE-INSTALL
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 21 2014 Dawn Tse <dawn.tse@oracle.com> - 3.3.1-211 
- bug 18078916 - CPU UTILIZATION IS WRONG FOR SPARC SERVER ON STATISTICS FROM WEBUI
  Signed-off-by: Dawn Tse <dawn.tse@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 21 2014 Dawn Tse <dawn.tse@oracle.com> - 3.3.1-210 
- bug 17952923 - OVM SPARC: HA VM DOES NOT RESTART AFTER BEING DESTROYED FROM LDOMS
  Signed-off-by: Dawn Tse <dawn.tse@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 21 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-209 
- merged  John's changes to ovs-ip-config [bug 17995157]  

* Fri Jan 17 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-208 
- Bug 18098489 - FAILURE OCCURRED WHILE REMOVING SPARC SERVER FROM CLUSTER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Thu Jan 16 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-207 
- Bug 18071546 - AGENT DOESN'T RETURN ERROR WHEN NO DHCP ADDRESS IS ASSIGNED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
- Bug 18069658 - DECONFIGURE_SERVER_FOR_CLUSTER FAILS BECAUSE DLM MODULE CAN'T BE UNLOADED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Tue Jan 14 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-206 
- Bug 18057807 - CAN NOT SEE CDROM IN SPARC VM ALTHOUGH CDROM DISKMAPPING WAS ADDED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Jan 14 2014 Eunice Moon <eunice.moon@oracle.com> - 3.3.1-205 
- SPARC - add package_uninstall()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com> 

* Tue Jan 14 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-204 
- add package_uninstall() api
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com> 

* Mon Jan 13 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-203 
- Bug 18062427 - IMPROVE ERROR WHEN CLUSTER CREATE FAIL BECAUSE OF INCOMPATIBLE POOLFS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jan 13 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-202 
- Bug 18060881 - IF SPARC SERVER CANNOT ACCESS POOLFS, ADD SERVER TO CLUSTER WILL HANG
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jan 10 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-201 
- Bug 17991768 - HA-VM CAN'T BE RESTARTED AFTER A MIGRATION FAILURE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Fri Jan 10 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-200 
- Bug 18051699 - DISCOVER SERVER WITH ISCSI TARGET FAILS IF ISCSI SERVER IS OFFLINE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 08 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-199 
- If the number of slaves in the bod is > 1, do not allow the removal of the interface that have
  the same MAC as the bond. [bug 17975524]  

* Wed Jan 08 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-198 
- Bug 17968672 - CREAT BONDPORT FAILED BUT ONE OF THE SLAVE PORT SET TO NEW MTU
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 07 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-197 
- This problem was caused by the ip command library; when flushing an address on an interface that
  have an alias with valid IP, the command will flush the address, however it return an error.
  The work around is flush the alias first. [bug 17805756]  

* Tue Jan 07 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-196 
- Bug 17983005 - RESTART VM FAILED ON SPARC SERVER
  Bug 17836659 - ISCSI DISKS NOT AVAILABLE ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jan 07 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-195 
- Bug 17981985 - HOT-ADD VNIC FAILS IF VM HAS NO VNIC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jan 06 2014 Eunice Moon <eunice.moon@oracle.com> - 3.3.1-194 
- SPARC - Change for assigning vdisk with multiple devices
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jan 02 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-193 
- I have not been able to reproduce this problem on clustered or single systems.
  I made enchantment to a suspect code that may caused the problem in ol6 environment. [bug 18007687]  

* Fri Dec 20 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-192 
- Reorder filtering of interface in order to avoid bond interfaces with value > 2 digits to show
  up in physical interface section of discovery. [bug 17952920]  

* Fri Dec 20 2013 Rory Foster <rory.foster@oracle.com> - 3.3.1-191 
- Bug 17760691 - SERIAL CONSOLE STUCK ON HANDSHAKE
  Signed-off-by: Rory Foster <rory.foster@oracle.com>
  Signed-off-by: Alex Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 19 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-190 
- removes the permanent connection and establish a connection for every notification and then close it immediately.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17925231]  

* Wed Dec 18 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-189 
- fix copyright year to 2014
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 17913321]  

* Tue Dec 17 2013 Dawn Tse <dawn.tse@oracle.com> - 3.3.1-188 
- BUG 14851945 - OVM SPARC: SPARSE COPY IS NOT WORKING. 

* Mon Dec 16 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-187 
- SPARC - rename SMF service ovs-infra to ovs-config
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Dec 16 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-186 
- In ovs-ovca-network; Write the GATEWAY to /etc//etc/sysconfig/network instead of the
  bond slaves ifcfg files 

* Thu Dec 12 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-185 
- fix repository partition dm name: we cannot add p4 as that will be black listed by plugins.
  OracleBug: 17924021
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Dec 11 2013  <> - 3.3.1-184 
- Bug 17930250 - PACKAGE LIST UPDATE FAILS IF PACKAGES HAVE TO BE REMOVED
  Bug 17930642 - CHECKING FOR UPDATE RAISES AN EXCEPTION WHEN THERE IS NOTHING TO UPDATE
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Dec 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-183 
- Bug 17937311 - AGENT FAILS TO START WITH ISCSI TARGETS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Dec 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-182 
- use xen variable MINIMUM_RESTART_TIME instead of redefining here.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Dec 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-181 
- Bug 17836659 - ISCSI DISKS NOT AVAILABLE ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Dec 10 2013 Firas Azar <firas.azar@oracle.com> - 3.3.1-180 
- Signed off by: Adnan G Misherfi
  Signed off by: Cathy A Avery [bug 17736343]  

* Tue Dec 10 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-179 
- Fix WOL. _bind_sock_to_device was not working for Linux.
  Also added logging for remote_power_on WOL and remote_power_on-off IPMI.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 17888855 - FAILED TO WAKE UP A SERVER THROUGH WOL AFTER CONFIGURE WOL AND POWEROFF IT 

* Tue Dec 10 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-178 
- use loop instead of dmnfs for pool filesystem on NFS setup.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Dec 09 2013  <> - 3.3.1-177 
- Bug 17897962 - ADDING A REPOSITORY WITH AN INVALID URL OR PUBLISHER SHOULD FAIL
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Dec 09 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-176 
- fix pylint errors
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Dec 09 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-175 
- Bug 17922761 - STARTING VM GOT AN UNEXPECTED KEYWORD ARGUMENT 'OPTION'
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com> 

* Fri Dec 06 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-174 
- Bug 17806775 - ASYNC REQUESTS FAIL WHEN SSL USES PKCS#11
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Dec 06 2013  <> - 3.3.1-173 
- Bug 16056253 - SLOW TO SHUT DOWN GUEST DOMAIN, MUST BE STOPPED AND UNBOUND
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Dec 06 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-172 
- SPARC - install/configure fails with -i option
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 05 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-171 
- SPARC - improve setup script for auto-install
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 05 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-170 
- SPARC - configure always return error with factory-default request
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 05 2013 Cathy Avery <cathy.avery@oracle.com> - 3.3.1-169 
- Removed extraneous XML [bug 17586523]  

* Wed Dec 04 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-168 
- The primary directive is ignored when bond mode is other that 1,remove anyway t to avoid confusion.
  Remove the backup directive, no longer needed [bug 17447149]  

* Tue Dec 03 2013  <> - 3.3.1-167 
- Bug 15942008 - BRIDGE REMOVAL CAN FAIL AFTER POWEROFF FROM THE VM OS
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Dec 03 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-166 
- Explicitly set the  bridge MAC to the underlying ethx MAC to prevent
  the bridge MAC of changing when a VIF of lower MAC value connect to it. [bug 17262819]  

* Tue Dec 03 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-165 
- use unique id for repository partition on system disk.
  Orable-Bug: 17880236
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Nov 27 2013  <> - 3.3.1-164 
- SPARC - support for package management (improvements)
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 20 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-163 
- rename system disk partition dev mapper name.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 17822553]  

* Wed Nov 20 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-162 
- add 'enabled' option to repository configuration.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Nov 19 2013  <> - 3.3.1-161 
- SPARC - support for package management
  (with some fix to work with the OVM Manager interface)
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Nov 19 2013 Cathy Avery <cathy.avery@oracle.com> - 3.3.1-160 
- Added Mike H fix for target ip address [bug 17814386]  

* Mon Nov 18 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-159 
- ethtool -k command added an extra filed to ports that do not support lro "off [fixed]"
  which caused a syntax error in parsing, therefore  aborting the config. It is fixed now. [bug 17658347]  

* Mon Nov 18 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-158 
- We will sleep one second and kill all the sub process when restart XMLRPC
  server. This bug is caused by: the take_ownership() call doesn't finish in 1
  second and thus been killed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17806987]  

* Wed Nov 13 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-157 
- Remove the directive "backup" from the bond config files, not longer needed. [bug 16975485]  

* Tue Nov 12 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-156 
- use fixed dm name for sys disk repo partition
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> 

* Tue Nov 12 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-155 
- Fix Urlgrabber returning KeyboardInterrupt when disk full. OVM-Manager hangs and does not show error msg.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 17618953 - Fix Urlgrabber returning KeyboardInterrupt when disk full. OVM-Manager hangs and does not show error msg. 

* Mon Nov 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-154 
- Bug 17776241 - AGENT FILTERS REPOSITORY OPTIONS RATHER THAN PROPAGATE THEM TO SERVER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Nov 11 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-153 
- New changes  to UEK3 that prevents changing the bond mode if the bond has slaves, this is
  because sysfs does not initialize interfaces correctly if they are part of a bond.
  So made changes  to remove the interfaces from the bond, change the mode, and add them back. [bug 17775430]  

* Mon Nov 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-152 
- Bug 17721119 - EXPORTFS ENTRY ISN'T DELETED AFTER DELETING A REPOSITORYEXPORT OBJECT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Nov 07 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-151 
- SPARC - disabling support for package management
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 06 2013  <> - 3.3.1-150 
- SPARC - support for package management
  Signed-off-by: Eunice Moon <eunice.moon@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 06 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-149 
- Bug 17753504 - CHANGING BOOT ORDER TO PXE CONFIGURE_VM TO SERVER CANNOT SERIALIZE BOOT DEVICE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 06 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-148 
- Bug 17721009 - UNABLE TO MOUNT REPO LOCATE ON ZFS FILE SYSTEM AND EXPORTED VIA REPOSITORYEXPORT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 06 2013 Rory Foster <rory.foster@oracle.com> - 3.3.1-147 
- FIX LINT ERRORS IN DISKIO.C
  Signed-off-by: Rory Foster <rory.foster@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Nov 05 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-146 
- log an error when the log daemon fails to handle a log request
  log daemon fails to log Storage Connect exceptions
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Nov 05 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-145 
- When we do update_agent_password(), we need to reload the XMLRPC Server to make the new password take effect.
  Before this patch the reload (SIGUSR1 handler) also restart XMLRPC Server, which is too much.
  With this patch, we will split the reloading into two fine grained operations: reload == refresh password; restart == restart XMLRPC Server. And on update_agent_password(), we only do refresh password.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Sun Nov 03 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-144 
- avoid to add two log handlers
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 17719256]  

* Thu Oct 31 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-143 
- SPARC - Cluster/HA capabilities should be disabled with shadow domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 31 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-142 
- use os.closerange() to improve performance
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 31 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-141 
- Currently the async process still holding the socket port 8899, which doen't
  make sense.
  This patch will close all the fds inherited from parent. As the logging socket
  is also been closed, so we need to init_log() again if we want to log
  something.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17675497]  

* Thu Oct 31 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-140 
- SPARC - simplify the way to configure cpu/memory of the control domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Wed Oct 30 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-139 
- kill all XMLRPC Server children before restart, otherwise the child will hold the 8899 port and the XMLRPC Server cannot restarted.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17675497]  

* Mon Oct 28 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-138 
- log package version
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 17662034]  

* Fri Oct 25 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-137 
- improve ssl auth failure logging
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
- Bug 17662034 - ADD DOM0 SOLARIS AND LDOMS VERSION TO AGENT LOG (fix for SPARC)
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 25 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-136 
- Requests to connect on port 8899 with a Med strength cipher are now rejected as per Oracle standards
  See also Bugs 16721961, 16721654
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Oct 25 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-135 
- Fix buffer overflow in snprint().
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: Bug 16908736 - DISCOVER NETWORK ERROR - EXPATERROR: NOT WELL-FORMED (INVALID TOKEN): LINE 2593 

* Thu Oct 24 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-134 
- Bug 17647344 - UNINSTALL FAILS IF THERE ARE MULTIPLE VSWITCHES ON THE SAME NIC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 22 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-133 
- Bug 17640922 - CREATING FS LOCAL STORAGE ARRAY ON LOCAL FS MNT POINT EXISTS AND IS NOT EMPTY
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 22 2013 Firas Azar <firas.azar@oracle.com> - 3.3.1-132 
- #In nfs export APIs, unexport duplicate clients before adding new export entry
  Signed off by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed off by: Cathy A Avery <cathy.avery@oracle.com> [bug Bug] [bug 17601662]  

* Mon Oct 21 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-131 
- SPARC - support for net install
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 21 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-130 
- SPARC - support for vnet alternate MAC addresses
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 21 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-129 
- Currently the Server and Manager date/time offset may cause authentication
  errors: the certificate may expired compared the the wrong time.
  To fix this issue, this patch syncs dom0 date/time with a NTP server at
  enable_ntp() and Manager will call enable_ntp() after discover_server().
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Oct 21 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-128 
- Bug 17634452 - REFRESH FS ON ZFS FAILS WHEN FS IS NOT A REPOSITORY
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 18 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-127 
- Bug 17628514 - LDOMS CONFIGURATION ERROR WHEN INSTALLING SPARC AGENT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 18 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-126 
- Bug 17569070 - ASSERTION FAILED DLMMASTER.C LINE 1989
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 16 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-125 
- SPARC - agent should be prevent DLM lock remote conversion
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com> 

* Wed Oct 16 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-124 
- SPARC - Cannot set MTU on bond after adding additional port in the bond
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 16 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-123
- update BuildRequires: and Reqires: [bug 17609813]

* Wed Oct 16 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-122 
- When multiple message in the queue, as we read from head, we need to reverse the messages.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Wed Oct 16 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-121 
- ovs_if_meta will no longer throw an exception when the remove meta file is not found.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Oracle-bug: 17601184 DELETING ETHERNET NETWORK - COMMAND OVS_SET_METADATA FAILED 

* Wed Oct 16 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-120 
- Bug 17609694 - CANNOT REMOVE PORT FROM BONDPORT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 15 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-119 
- fix linux rpm spec file to add some build requirements. 

* Mon Oct 14 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-118 
- Removes the mismatching Manager certificate and signed server certificate while regenerating keys.
  It also enlarge the certificate valid time: we don't want it expire.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Oct 14 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-117 
- fix sosreport command line
  The new sos doesn't have the '--no-multithread' option any more and
  it use xz for compression instead of bz2.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri Oct 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-116
- Rebuild due to xen updated.

* Fri Oct 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-115 
- fix nfs rmtree issue
  The root cause is a NFS issue: the OS will remove a file to .nfsxxx when delete a file, and then OS will delete that file later.
  Reference:
  * BUG 12668898 - COULD NOT IMPORT TEMPLATE TO REPOSITORY: https://bug.oraclecorp.com/pls/bug/webbug_print.show?c_rptno=12668898
  * BUG 12694949 - CORE_API3.0: REPEAT IMPORT/REMOVE ISO - DIRECTORY NOT EMPTY: https://bug.oraclecorp.com/pls/bug/webbug_print.show?c_rptno=12694949
  * Bug 511901 - [NFS]: silly renamed .nfs0000* files can be left on fs forever: https://bugzilla.redhat.com/show_bug.cgi?id=511901
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17343986]  

* Thu Oct 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-114 
- log daemon is dropping messages with %d specifier
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Oct 10 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-113 
- remove duplicate function async_proc_prog
  It is a mistake during merge.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 09 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-112 
- SPARC - deconfigure_cluster() fails because server_cluster_offline is not defined
  SPARC - unload dlm driver before configuring new cluster
  SPARC - add -V option to ovs-agent-setup to identify version
  SPARC - abort unconfiguration if the cluster unconfiguration fails
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 08 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-111 
- SPARC - force dlm module to be unloaded when cluster is unconfigured
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
- Bug 17431068 - SPARC UNINSTALL CLEANUP - CHECK/CLEANUP ANY OVM CLUSTERS THAT ARE LEFT BEHIND
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 07 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-110 
- revise package management APIs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 07 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-109 
- add some logging when ssl verification failed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> [bug 17560676]  

* Fri Oct 04 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-108 
- remove some unused fields from discover_hardware()
  Per Steve Noyes, because some of these unused fields are changing every time,
  Manager has to repopulate hardware models every time. This will include
  performance issue when there are many disks. After removing these dynamic
  changing and unused fields, Manager can do a checksum compare with the last
  discover_hardware() result. If no change, then no need to repopulate device models.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Oct 03 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-107 
- SPARC - ovs-agent-setup refactoring
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 03 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-106 
- Bug 17554986 - DISCOVER SVR FAILS: ERROR INIT XMLRPC SVR: ADDRESS ALREADY IN USE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Sep 30 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-105 
- wait for notification server to start
  Because some of the Agent processes will send notifications to Manager at startup,
  we have to wait for the notification server to be fully started before starting
  other processes.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 27 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-104 
- use ssl key for authentication and new notification using ws-api
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Sep 26 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-103 
- Bug 17511485 - CANNOT SET MTU ON BONDPORT ON SPARC SERVER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Sep 26 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-102 
- Bug 17516025 - XMLRPC DAEMON FAILS TO START
  SPARC - request to release master lock should not logged
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 25 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-101 
- Do not use bond alias it is no longer needed. [bug 16892503]  

* Wed Sep 25 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-100 
- Due to the limitation of Solaris, we have to keep a local copy of xmlrpclib.py and SimpleXMLRPCServer.py
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 17469226]  

* Tue Sep 24 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-99 
- SPARC - dlm can fail to remove a cluster node right after it has been deconfigured
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 24 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-98 
- Bug 17483893 - BONDPORT KEEPS THE STATUS AND MAC ADDR. FROM REMOVED PORT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Sep 23 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-97 
- openssl connection to port 8899 will now reject a connect request requesting
  a "LOW" (weak) cipher.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 16721654 - OVS-AGENT ALLOWS WEAK CIPHER CONNECTION 

* Mon Sep 23 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-96 
- modprob.conf is deprecated, instead use /etc/modprobe.d/bonding.conf for bonding config [bug 16892503]  

* Fri Sep 20 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-95 
- fix oracle-release parsing
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17477824]  

* Thu Sep 19 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-94 
- SPARC - change LDoms Manager dependency to LDoms 3.1
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 18 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-93 
- SPARC - local disks with no guid should be explicitly ignored
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 18 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-92 
- Bug 17411565 - SAS DISKS DISCOVERY IS NOT WORKING PROPERLY WHEN RAID VOLUMES ARE CREATED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 17 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-91 
- Bug 17464995 - INSTALLATION FAILED ATTEMPTING TO REBOOT AFTER SUCCESSFULLY CONFIGURING LDOM
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 17 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-90 
- Bug 17362273 - REFRESH SERVER MAKES THE MTU ON BOND PORT AND PORTS RESET TO DEFAULT VALUE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Sep 16 2013 Dawn Tse <dawn.tse@oracle.com> - 3.3.1-89 
- SPARC - VM-API Support
  Signed-off-by: Dawn Tse <Dawn.Tse@Oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@Oracle.com> 

* Fri Sep 13 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-88 
- Bug 17439382 - SPARC: OVS-AGENT FAILED TO STARTUP AFTER INSTALL
  changes for ol6 broke ovmwatch, setup.py, shadow domain, startup message log
  vswitch init sometimes fails
  smf method does not return an error on start or stop failure
  smf method should cleanup daemons on start failure
  ovs-agent-monitor does not correctly monitor daemons
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Sep 05 2013 Rory Foster <rory.foster@oracle.com> - 3.3.1-87 
- Bug 16569924 - CLONING PHYSICAL DISK DOES NOT WORK ON SPARC
  Signed-off-by: Rory Foster <rory.foster@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Sep 05 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-86 
- revise ovs-agent rpm dependencies
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Sep 05 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-85 
- fix ol6 device node change in sysfs and scsi_id command option change
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> 

* Thu Sep 05 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-84 
- use new run_service() to start daemons
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Sep 04 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-83 
- ol6 specific changes:
  * sysfs device node change
  * scsi_id command line option change
  * urlgrabber/rpm conflict issue
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
- SPARC - log DLM commands
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 28 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-82 
- If the cluster IP is configured on a bridge,
  return the interface associated with it.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Oracle-bug: 17321812 

* Wed Aug 21 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-81 
- This patch fixed the status of ovs-agent for console display.
  The status code of "/etc/init.d/ovs-agent status" is more accurate: if any
  daemon of ovs-agent is down, the status code will be none zero and we should
  think ovs-agent service is "Down".
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Wim Coekaerts <wim.coekaerts@oracle.com> [bug 17336525]  

* Fri Aug 16 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-80 
- Bug 17321747 - CONFIGURE_SERVER_FOR_CLUSTER - NOT OWNER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Aug 15 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-79 
- SPARC - cluster/HA support
  SPARC - discovery fails when there is stale iscsi targets
  SPARC - improve ovs-agent-setup CLI syntax
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Aug 15 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-78 
- notification server: do not repeat login when login failed
  When Agent notification server login to Manager failed, if the username is in
  Manager, it will raise "Authentication Failed"; if the username is not in
  Manager, it will just raise "Login failed".
  After this patch, Agent notification server will not try to login when getting
  "Login failed".
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed Aug 14 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-77 
- Return active slave of bonding when searching cluster interface.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Oracle-bug: 17262690 

* Tue Aug 13 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-76 
- assembly: fix exception raising
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> [bug 17305539]  

* Mon Aug 12 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-75 
- Fix import_assembly(), deploy_assembly() clean up when disk full.
  17188207 - IMAGE FILE IS NOT CLEARD FOR FAILURE OF VM TEMPLATE CREATION
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 17188207]

* Fri Aug 09 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-74 
- catch and report stderr/stdout upon unpacking failure
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> [bug 17262827]  

* Wed Aug 07 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-73 
- umount_deivce(): Use mount point to umount dmnfs device
  since it might be created as an alias to /dev/dm-N.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Aug 07 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-72 
- fix bad indentation
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 06 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-71 
- Correct the ovs-agent-rpc error message which says that you can add a vlan in
  the range of 1 to 4095; the actual range we allow is a subset, [2-4094].
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug Bug17180175]  

* Thu Aug 01 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-70 
- Set timeout (5s by default) for discover_repository_db().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Oracle-bug: 15924796 

* Wed Jul 31 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-69 
- SPARC - get_fs_type() does not identify ZFS filesystems
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jul 25 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-68 
- SPARC - support for active-backup bond
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jul 25 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-67 
- SPARC - MTU cannot be changed if link has an IP interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jul 25 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-66 
- Include network interface in cluster discovery.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 25 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-65 
- Raise exception on failure to create pool filesystem.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 25 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-64 
- Figure out the network interface configured for cluster.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jul 24 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-63 
- Bug 16949406 - CANNOT CREATE LOCAL STORAGE REPOSITORY WITH LOCAL DISKS ON SPARC SERVER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jul 22 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-62 
- Revert commit 10193 

* Mon Jul 22 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-61 
- SPARC - MTU change support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jul 22 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-60 
- Clean up compiler warnings: agent_discover.c, config_network.c
  17198473 MAKE RPM - COMPILER WARNINGS.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17198473]

* Tue Jul 16 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-59 
- Introduce pass counting to reduce logging for the same failure.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Jul 15 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-58 
- Bug 17056896 - PRIMARY "FACTORY-DEFAULT" NOT DETECTED WITH UNALLOCATED MEMORY ON M10-4S H/W
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Sat Jul 13 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-57 
- Bug 17087367 - STORAGE DISCOVERY FAILS WITH OFFLINE LUN
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jul 12 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-56 
- SPARC - ZFS disk WWID should be unique accross different servers
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-55 
- Bug 17061661 - NEED LUN RESERVATION FEATURE TO SUPPORT BOOT FROM SAN
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-54 
- SPARC - Shadow Service Domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jul 09 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-53 
- Revert commit r10125 

* Wed Jul 03 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-52 
- Bug 17049492 - IMPORTERROR: CANNOT IMPORT NAME DLM_READY
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jul 02 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-51 
- Update is_clustered(): check dlmfs to avoid potential race condition
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Jun 24 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-50 
- Bug 17005126 - DISK ASSIGNMENT FAILURE TO SOLARIS GUEST RESULTS IN MISSING SLICES
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jun 21 2013 Carson Hovey <carson.hovey@oracle.com> - 3.3.1-49 
- Change ovs-agent SSL key length from 1024 to 2048
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 16723510]  

* Thu Jun 20 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-48 
- update agent password with old password
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  CC: Ellen Batbouta <ellen.batbouta@oracle.com> 

* Wed Jun 19 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-47 
- Cleaned up meta data for network config files. [bug 16411324]  

* Wed Jun 19 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-46 
- When assigning an IP address a bridge, do not add the mac address of its interface to the config file.
  This is to prevent a MAC conflict when its interface is a bond. [bug 16689855]  

* Thu Jun 13 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-45 
- SPARC - iSCSI comments update
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jun 13 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-44 
- SPARC - update ovs-agent-setup wrt MPxIO requirement
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jun 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-43 
- pylint cleanup
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Jun 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-42 
- Bug 16909866 - LDOMS VM CAN FAIL TO ACCESS ITS ZFS POOL AFTER A RESTART FROM OVM MANAGER
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jun 10 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-41 
- SPARC - force installation of the storage connect ZFS plugin
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jun 07 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-40 
- SPARC - support for ZFS filesystems and volumes
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jun 03 2013 Junjie Wei <junjie.wei@oracle.com> - 3.3.1-39 
- Fix lock usages in ovs-agent-dlm.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu May 30 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-38 
- Remove legacy code that handles the renaming of bridge interface from ethx to pethx.
  This caused xsigo interfaces of the form pethx not to be recognised
  during network discover [bug 16886381]  

* Wed May 29 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-37 
- Add new OVF Virtual System Types support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> [bug 16609127]  

* Tue May 28 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-36 
- get correct info for cciss devices
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 16861051]  

* Fri May 24 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-35 
- add repository partition support for cciss device
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 16861051]  

* Thu May 23 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-34 
- add repository partition support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed May 15 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-33 
- Bug 16717744 - ON SPARC SERVER BIOS VENDOR INFO IS EMPTY
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed May 15 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-32 
- Move bond0's address to old slave. Fix the code so that the config does not exist when gateway
  is not present on the command line [bug 16815203]  

* Fri May 10 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-31 
- fix repository owner none issue
  When doing the following commands, it has a bug:
  # ovs-agent-rpc mount_repository_fs "'/dev/sda4'"
  "'3352d0a2e36a44219fb97deb537f78fe'"
  # ovs-agent-rpc create_repository "'/dev/sda4'"
  "'3352d0a2e36a44219fb97deb537f78fe'" "'3352d0a2e36a44219fb97deb537f78fe'"
  "'testing repository'"
  # ovs-agent-rpc delete_repository "'3352d0a2e36a44219fb97deb537f78fe'" True
  Traceback (most recent call last):
  File "/usr/sbin/ovs-agent-rpc", line 98, in ?
  main()
  File "/usr/sbin/ovs-agent-rpc", line 88, in main
  result = getattr(server, func)(*params)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1097, in __call__
  return self.__send(self.__name, args)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1384, in __request
  verbose=self.__verbose
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1148, in request
  return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1287, in _parse_response
  return u.close()
  File "/usr/lib64/python2.4/xmlrpclib.py", line 744, in close
  raise Fault(**self._stack[0])
  xmlrpclib.Fault: <Fault 1: 'exceptions.Exception:Repository not owned by server
  manager'>
  The root cause is: if a repository is not owned, 'None' is set to
  'OVS_REPO_MGR_UUID', but we check for 'NONE' in our code.
  This patch will fix that.
  I didn't removed the check for 'NONE', because I think in some very old time, we
  set it to 'NONE' when no MGR_UUID found.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> 

* Thu May 09 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-30 
- SPARC - add iSCSI support
  SPARC - change LUN identification to be compatible with Linux/x86
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed May 08 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-29 
- Bug 16776585 - NULL VALUES ON 3 ABILITIES.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed May 08 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-28 
- Re-configure OVCA compute node management interface; replace bond0 eth interface with PVI,
  clear current addresses, and assign new one. 

* Tue May 07 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-27 
- bump api version to 4
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 16774126]  

* Fri May 03 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-26 
- New abilities for physical disk usage
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Apr 22 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-25 
- SPARC - agent should use Solaris devprop command instead of custom command
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Apr 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-24 
- SPARC - vdisk should be created from physical disk slice 2 not 0
  SPARC - FC names should be reported with no '0x' prefix
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Apr 08 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-23 
- Add support to configure,and remove IPoIB partitions  (VLAN).
  Discover IPoIB partitions 

* Mon Apr 01 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-22 
- Bug 16581572 - TRYING TO HOT ADD A VNIC W/ A VM NETWORK; LDMERROR COMMAND "ADD-VNET": FAILURE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Mar 28 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-21 
- Bug 16517406 - VNICS ON SPARC SET BY OVS-AGENT DO NOT HAVE PHYS STATE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 27 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-20 
- add support for SAS disks on SPARC (local disks)
  stop reporting luns which are in use
  add setup check to verify that mpxio is enabled
  add makefile rule for parfait
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 27 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-19 
- emove the restrictions on number of bonds in the server, and the number
  of ports per bond. 

* Tue Mar 26 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-18 
- limit support for FC disks on SPARC to MPxIO devices
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Mar 22 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-17 
- add support for FC disks on SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Mar 19 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-16 
- Add network discovery, and configurations for infiniband devices (IPoIB)
  - Bonding, Only active-back mode is supported.
  - Add remove bond ports
  - Assign IP address, static/DHC
  - Change MTU 

* Mon Mar 11 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-15 
- Add parameter to configure LDoms VM with cpu cores instead of cpu threads
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 06 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-14 
- move generic api cluster methods to base class
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Mar 06 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-13 
- Bug 16441398 - IMPORT VM DOES NOT WORK ON SPARC - "GET NO SUCH API:"
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Feb 27 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-12 
- Bug 16409242 - LDOMS CONFIGURATION ERROR - AGENT NEVER CAME ONLINE; SET TO MAINTENANCE MODE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 26 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-11 
- LDoms reports inactive VM as running locally
  Fix support for LDoms dependencies
  Improve LDoms XML requests debugging
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Feb 26 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-10 
- Bug 16297871 - SPARC SERVER DISCOVERY FAILS - OVS AGENT NEEDS TO HAVE PACKAGE DEPENDENCY ON NTP
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Feb 21 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-9 
- Bug 16383869 - SPARC M5 SERVERS ARE NOT CORRECTLY IDENTIFIED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jan 30 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-8 
- fix SMBIOS 2.6+ UUID swap
  SMBIOS spec change in v2.6::
  836  Although RFC 4122 recommends network byte order for all fields, the PC industry (including the ACPI,
  837  UEFI, and Microsoft specifications) has consistently used little-endian byte encoding for the first three
  838  fields: time_low, time_mid, time_hi_and_version. The same encoding, also known as wire format, should
  839  also be used for the SMBIOS representation of the UUID.
  840  The UUID {00112233-4455-6677-8899-AABBCCDDEEFF} would thus be represented as:
  841      33 22 11 00 55 44 77 66 88 99 AA BB CC DD EE FF.
  Before this patch, we only swap the first 4 bytes.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 14511018] [bug 16221689]  

* Mon Jan 28 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-7 
- Get correct system uuid from SMBIOS 2.7
  dmidecode-2.10-3.el5 in ovm server 3.2.1 only officially supports SMBIOS up to
  2.6. For Server with SMBIOS 2.7 it will print out:
  # dmidecode -s system-uuid
  # SMBIOS implementations newer than version 2.6 are not
  # fully supported by this version of dmidecode.
  E021F0D0-0010-FFFF-FFFF-FFFFFF200008
  This patch ignores the warning and gets the real system UUID.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 16221689]  

* Tue Jan 08 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-6 
- add ipmi lanplus support for SPARC
  update SPARC package version to 3.3.1
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.3.1-5 
- Change the call getModelManager() to read the manager's server object
  from the creating state instead of the in-use state, in order to avoid
  race condition where the the server object comes back NULL. [bug 16029834]  

* Thu Dec 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-4 
- report VM cpu_time for statistics
  This patch will report VM CPU time to Manager as statistic in format:
  vmCpuTime float VM accumulated CPU time in seconds (as shown in `xm list`).
  Also in this patch: when VM is starting, sometime we cannot get stats for this
  VM for one time (because this VM is under construction). After this patch, we
  will ignore this VM only and report stats for other VMs. Before this patch we
  stop reporting stats for all VMs for this time.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 15964895] [bug 15996693]  

* Thu Dec 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.3.1-3 
- add ipmi lanplus support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Chuang Cao <chuang.cao@oracle.com> [bug 14777351]  

* Wed Dec 12 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.3.1-2 
- Bug 14517284 - sparc: wrong log files collected
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Eric Sharakan <eric.sharakan@oracle.com> 

* Tue Dec 11 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.3.1-1 
- Update version/release for 3.3.1

* Wed Dec 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-180 
- fix license copyright year
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 15949647]  

* Wed Nov 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-179 
- Bug 15931916 - ovs-agent-setup prints confusing message about oracle user
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Nov 28 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-178 
- Fix the server uuid changing due to vlan configuration.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 15920008]  

* Tue Nov 27 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-177 
- Bug 14201160 - agent should have command to properly configure new sparc server
  Bug 13610648 - sparc agent installer should populate etc/host
  (configuration file support)
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Liam Merwick <Liam.Merwick@oracle.com> 

* Mon Nov 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-176 
- Bug 15833928 - ovm for sparc: ovs-agent-passwd - "import sha" deprecation warning
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Nov 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-175 
- fix error when virtualnetwork not exist in agent.ini
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 15917707]  

* Sat Nov 24 2012  <> - 3.2.1-174 
- 14780815 - SPARC OVS-AGENT SHOULD SOLELY DEPEND ON LDOMS 3.0 (remove dead code)
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Nov 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-173 
- Bug 14201160 - agent should have command to properly configure new sparc server
  Bug 13610648 - sparc agent installer should populate etc/host
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: William Roche <william.roche@oracle.com>
  Signed-off-by: Liam Merwick <Liam.Merwick@oracle.com> 

* Tue Nov 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-172 
- log error when dd failed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15892623]  

* Mon Nov 19 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-171 
- BUG 15833890 - OVM FOR SPARC: VM CPU UTILIZATION DOESNOT AUTO REFRESH WHEN CPU LOAD CHANGES 

* Fri Nov 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-170 
- fix > 1.0 serverCpuUtil issue
  When we do cpu over provisioning (nr_vcpus > nr_pcpus), we can get > 1.0
  serverCpuUtil.
  This patch fixes this issue by checking the ceiling every time.
  This patch also makes the debugging code easier to use.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 14805645]  

* Thu Nov 15 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-169 
- Add recursive checking and scrubing for the password in log message.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 15866336]  

* Mon Nov 12 2012 William Roche <william.roche@oracle.com> - 3.2.1-168 
- BUG 15859517 - OVS-AGENT SERVICES MONITORING FOR SMF
  BUG 14780307 - LOST CONNECTION WITH LDOMS MGR AFTER SERVER REBOOT
  BUG 14780815 - SPARC OVS-AGENT SHOULD SOLELY DEPEND ON LDOMS 3.0 

* Mon Nov 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-167 
- fix run_cmd() log password issue
  run_cmd() will log ipmi password in log. This patch fixes this issue by
  regenerating new exception contents.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 15862926]  

* Mon Nov 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-166 
- fix mixing tab and space
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15864719]  

* Thu Nov 08 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-165 
- fix cpu util calculation for stats
  We have two issues:
  1. The total_cpu_load should be initialized outside of the for loop.
  2. cpu_time_delta may > time_delta when the domain has more than one vcpus. We
  use cpu_load_ceiling to make sure it never exceed vcpu_count * 100
  This patch fixes the logic for total cpu utilization calculation.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14805645]  

* Thu Nov 08 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-164 
- adjust max stats queue length
  The calculated the max queue length wrong: each collection will get: 11 *
  number-of-vms + 17 items, which may exceed the max_queue_len we calculated
  before. Then the result is losing stats: new stats pushed to the queue will pop
  other stats.
  This patch adjusts the max queue len to a reasonable value.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14575794]  

* Tue Nov 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-163 
- delay reboot/shutdown command
  If reboot/shutdown happens to fast, Manager cannot get a response. This patch
  delays execution of reboot and shutdown command for 5 seconds and run the
  commands in a daemon.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14830130]  

* Thu Nov 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-162 
- Bug 14846665 - ovs sparc packages should not use the ldoms publisher
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Nov 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-161 
- Bug 13439610 - warnings when removing the ovs-agent package
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 31 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-160 
- Bug 14524471 - cannot connect to vm serial console after manager reinstall with same uuid 

* Tue Oct 30 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-159 
- Bug 14803944 - ovm sparc: cannot start vm after it is stopped by command "poweroff" in console
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-158 
- fix logging password masking for tuple
  The problem is because log record.args could be:
  ('call start', 'import_ISO', ('http://a:b@c.com',))
  When we do mask_passowrd(('http://a:b@c.com',)), we get an exception (and we
  silently ignored all exceptions).
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14811987]  

* Tue Oct 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-157 
- Bug 14799313 - sparc agent notification issue
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-156 
- add suspend/resume support to statistics
  Currently if users set the interval to a very big number, e.g. 1000,
  then after switch to 20, the process will sleep there for 1000s.
  Our new solution also handles this case.
  After this patch, the API behaves like this:
  function:: set_statistic_interval(interval)
  Set statistic interval.
  Args:
  - interval (int): the interval between each statistic collection and sending.
  The value should be greater or equal to `-1`.
  Special value `0` means using using system default, which is 20 seconds for
  now.
  Special value `-1` means suspend statistic collection and sending.
  You should set another value to resume statistic collection and sending.
  Raises:
  
  - Exception on error.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14798704]  

* Tue Oct 23 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-155 
- ovs-agent-dlm: differentiate exit status of local/dlm lock errors.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14753739 

* Mon Oct 22 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-154 
- Bug 14514677 - ovm sparc: cannot boot a vm from cdrom
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 22 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-153 
- Bug 14793869 - error discovering network with vlan on aggregate
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-152 
- Bug 14781896 - ovm sparc: shareable vdisk cannot be added to the second vm.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-151 
- Bug 14782148 - OVM SPARC: CANNOT CHANGE ISO IN CDROM WHEN VM IS RUNNING.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-150 
- Bug 14781954 - OVMSPARC: FAIL TO ADD 2 VNICS WHEN VM IS RUNNING
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-149 
- Bug 14760448 - SETNTPSERVERS() WOULD NOT CHANGE THE NTP SERVER ORDER IN /ETC/NTP.CONF
  This is the fix for 14760448 for the sparc ovs-agent
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-148 
- Bug 14769855 - OVS-AGENT NEEDS TO RECOVER IF LDMD IS STOPPED/STARTED
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-147 
- respect NTP servers order
  This patch will first clear all NTP servers and write the new ones again using
  the passed in order.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14760448]  

* Tue Oct 16 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-146 
- Bug 14407448 - MIGRATION WITH BRIDGE OVER ON SPARC FAIL IN PARTICULAR CONFIGURATION
  Bug 14674188 - CAN'T HOT ADD A VNIC USING A LOCAL BRIDGE 

* Mon Oct 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-145 
- Bug 14734657 - OVM SPARC: DISCOVER_NETWORK: KEYERROR: 'BROADCAST'
  Bug 14525910 - ERROR DURING ADDING PORT INTO VLAN GROUP ON OVM/SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-144 
- Bug 14756593 - SPARC AGENT ISSUE ON SERVER REBOOT - LOSES MOUNT POINT
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-143 
- Bug 14763512 - SPARC AGENT SHOULD SUPPORT NEW SPARC PROCESSOR
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-142 
- Assembly: tolerant missing <Info> when parsing OVF.
  Although <Info> is required in the spec, some shipped OVF templates from OVAB
  are missing it. We don't want to fail for this trivial info thing.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Thu Oct 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-141 
- empty agent/storage/__init__.py
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Oct 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-140 
- add missing agent/storage/__init__.py
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Oct 11 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.2.1-139
- rebase tarball

* Thu Oct 11 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-138 
- Fixed a permission problem in /etc/xen/scripts/* 

* Wed Oct 10 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-137 
- Added support for openvswitch
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Oct 09 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-136 
- Bug 14740478 - SPARC MGR .ISO EXPORTED WITH "RO,SLICE" AND FAILS SOLARIS INSTALL
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 09 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-135 
- Bug 14739916 - SPARC MGR CREATE VM W/ VIRTUAL DISK AND .ISO GETS "INVALID VDISK DRIVER 'HDA'"
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-134 
- add concurrent migration related capabilities
  We need to surface two new capabilities (integers) to the manager:
  1. concurrent live migrations allowed as a source node
  2. concurrent live migrations allowed as a destination node
  3. whether concurrent live migration is allowed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> 

* Mon Oct 08 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-133 
- Solaris package does not need to depend on PyXML anymore
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 08 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-132 
- remove dependency on PyXML
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Oct 05 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-131 
- sparc agent should support unauthentication migration
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 05 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-130 
- Bug 14726094 - INITIAL DISCOVER OF SERVER (SVS003) - HANGS.. RESOURCE TEMPORARILY UNAVAILABLE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 04 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-129 
- sparc agent should get platform information using the platinfo command
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Oct 04 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-128 
- Bug 14711845 - SPARC AGENT MUST FILTER OUT LOCAL TIME SOURCE DURING GETNTPSERVERS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 03 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-127 
- Change Solaris package FMRI regexp to handle optional sequences
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 02 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-126 
- Bug 14701075 - SPARC SERVER NOT RETURNING ALL EXPECTED STATS
  Bug 14679882 - STAT CHECKING WE ARE SEEING NEGATIVE CPU UTILIZATION
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Oct 02 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-125 
- support for sending WOL packets on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Oct 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-124 
- add vmDom0* stats for sparc
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-123 
- Solaris build and package support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-122 
- Implement WOL in Python by broadcasting a magic packet.
  Note:
  Python socket library doesn't have SO_BINDTODEVICE defined, however,
  it is available through <sys/socket.h> on Linux:
  # define SO_BINDTODEVICE 25
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alex Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-121 
- remove dependency with bsddb on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Sep 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-120 
- Bug 14679882 - STAT CHECKING WE ARE SEEING NEGATIVE CPU UTILIZATION
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-119 
- Bug 14142262 - SHOULD IMPLEMENT AGENT REMOTE API ON SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com> 

* Tue Sep 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-118 
- fix parse error for empty string in set_vif()
  The root cause of this bug is: when there's no VIF attached to the VM, xm
  network-list will return empty string and sxp.all_from_string() will return None
  (which is a bad design: return empty list [] is the desired result).
  With this patch, we will check the return value of sxp.all_from_string().
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14611925]  

* Mon Sep 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-117 
- [un]export_fs API for sparc
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Sep 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-116 
- Bug 14643340 - VNIC HOT ADD DOES NOT WORK
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-115 
- HA: concurrently start VMs to improve performance.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14637509 

* Tue Sep 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-114 
- Bug 14517368 - SPARC: OVS SERVER IS OWNED BUT NTPD SEVICE IS OFFLINE
  migration group should be based on cpu frequency
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Sep 18 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-113 
- add YUM_PACKAGE_MANAGEMENT capability
  As YUM is not available in Solaris, we introduce YUM_PACKAGE_MANAGEMENT
  capability. Then Manager will use this capability to determine whether to call
  yum related APIs.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 14636063]  

* Mon Sep 17 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-112 
- stats should not be returned for vsw interfaces
  ldmxml requests should not be logged for stats
  ldmxml requests should include namespaces definition
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 14 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-111 
- Bug 14630507 - SPARC STATS RETURN MEMORY SIZE IN BYTES INSTEAD OF MB
  stats should ignore vswitches not on the control domain
  stats sometimes fail when a domain gets bound
  stats fail if there is an inactive domain
  network stats should not return strings but longs
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Sep 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-110 
- remove unnecessary calls to restart_stats which already removed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Sep 12 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-109 
- Bug 14617138 - MIGRATING VM FROM SVS003 TO SVS001, VDISK CONFIGURATION ISSUE
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 12 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-108 
- Solaris stats support. 

* Tue Sep 11 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-107 
- Bug 14507906 - OVM SPARC: CANNOT MOUNT VIRTUAL CDROM IN SOLARIS GUEST
  Bug 14481563 - OVM SPARC - CANNOT REMOVE CDROM WHEN VM IS RUNNING
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com> 

* Tue Sep 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-106 
- improve statistics
  This patch includes these improvements for statistics:
  1. Add tmem related stats.
  2. Prepare for solaris_ldoms support: the solaris_ldoms support patch is ready
  and will checkin after this patch.
  3. Every node send stats itself, which eliminates 20s delay compared to sending
  on master only.
  4. No qlayer monitor is required any more.
  We can safely remove these RPMs from Server ISO after this patch: `monitor`,
  `python-twisted-core`, `python-zope-interface`, `libyaml` and `PyYAML`.
  This patch is fully backward compatible and no Manager change is needed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Sep 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-105 
- create assembly: remove AllocationUnits for Processor according to OVF spec
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Wed Sep 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-104 
- add create_assembly() support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Sep 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-103 
- link XMLRPC /api/1 to / to fix 3.1.1 Manager issue
  This patch links XMLRPC /api/1 to latest to fix release Manager 3.1.1 issue: it
  was hardcoded to pass down /api/1 for get_api_version().
  With this patch, OVM Manager 3.1.1 still works for OVM 3.2.1 Server.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Fri Aug 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-102 
- revise plugin blacklist for sosreport according to request from support team.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Justin Jeffs <justin.jeffs@oracle.com> [bug 14479024]  

* Wed Aug 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-101 
- Add support for 4 ports per bond 

* Wed Aug 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-100 
- Preserve LRO setting (off) on bond interfaces for dom0 traffic [bug 14265990]  

* Tue Aug 28 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-99
- Add the storage util directory [bug 14502602]

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-98 
- Fix SMBIOS system UUID issue when upgrading to 3.2.1 [bug 14216405] [bug 14511018]

* Tue Aug 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-97 
- Make sure the compiled regex is not None before searching.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-96 
- ovs-agent-fake-uuid should be called in post script instead of pre script: at
  pre script, ovs-agent-fake-uuid is not installed yet, so it cannot be found.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-95 
- add import_vm() support
  It has the same behavior as import_template() except creating VM instead of
  Template.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> 

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-94 
- list_vms fails on sparc if there is a bound domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-93 
- network discovery fails if an interface has multiple IP addresses
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-92 
- write a fake UUID if upgrading from 3.1.1 for Server SMBIOS version > 2.6
  For Server with SMBIOS 2.6+, in OVM 3.1.1-, we were using the wrong UUID. After
  upgrading to 3.2.1, Agent reports the right UUID. But Manager is still recording
  the old wrong UUID, so Manager cannot recognize this Server.
  The solution is: when upgrading from 3.1.1-, for Server with SMBIO
  2.6+, we writhe the old wrong UUID as fake UUID.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com> [bug 14511018] [bug 14216405]  

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-91 
- Bug 14504906 - UNABLE TO DISCOVER A SPARC SERVER WHERE THERE IS AN INACTIVE VIRTUAL SWITCH
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-90 
- add SASL authentication to LDoms XML connection
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 28 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-89 
- Add the directory for storage utilization.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 14502602]  

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-88 
- add HVM_MAX_VNICS = 8 capability for xen
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 14512851]  

* Tue Aug 28 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-87 
- list migrating/saving VMs correctly
  During migrating/saving, the VM will be renamed to migrating-<name>. At this
  time if we call list_vm(), Agent will raise an exception: no such VM.
  This patch fixes this issue: it will check whether migrating-<name> is exist and
  then return the info of that VM.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14505079]  

* Thu Aug 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-86 
- remove references to Solaris 11.1
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-85 
- Bug 14480763 - LAUNCH SERIAL CONSOLE > WRONG VM
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-84 
- log is incomplete when a LDMError exception is raised
  The problem comes from a pickle issue with user-defined Exception,
  see http://bugs.python.org/issue1692335. To avoid this issue,
  new exception constructor should call the base class constructor
  with the same arguments.
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-83 
- Bug 14407300 - LDMXML CONNECTION FAIL FOR EACH API CALL
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com> 

* Tue Aug 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-82 
- We add a blacklist to sosreport plugins. Also run sosreport in single thread
  mode, which will help alleviate cpu, disk and memory load on busy servers.
  The time add by "--no-multithread" is acceptable. From my test:
  * Single thread: 2m28.507s
  * Multithread: 1m52.572s
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14479024] 

* Fri Aug 10 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-81 
- migration setup/cleanup API
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Aug 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-80 
- add support for async proc stop
  We add a default SIGUSR2 handler: raise an exception. And this exception will be
  sent to Manager by notification.
  Manager should always wait for the async proc exit notification. The
  notification may takes very long time to arrive, which means the it takes long
  time to stop the task, maybe the clean up need a lot of time. Anyway, Manager
  should be patient.
  We may add more specific stop handlers to other APIs in the future, e.g., on
  import_assembly(), we should clean up upon stopping. Currently if we stop the
  import_assembly() task, the import will still success, which will cause data out
  of sync between Server and Manager.
  Also in this patch:
  1). Improve the return value of ovs_async_proc_status(). Now it returns the
  process state in ps output.
  2). Improve logging: now both sync and async call respect the EXCEPTION_LIST
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Aug 09 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-79 
- When authentication fails the notification server goes into a silent loop, periodically
  checking if there is a new url and tries to reconnect again.  If the new url is the same
  the the old failing one the server will not try. This fix causes the server to try to
  reconnect on take_owner ship command regardless of the url value. [bug 14467543] 

* Tue Aug 07 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-78 
- Bug 14468062 - SPARC SERVER GETOVMVERSION() RETURNS EXTRA FIELDS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Aug 07 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-77 
- <Capabilities> should be part of the <Server> section
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Aug 03 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-76 
- vmpinfo support. 

* Fri Aug 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-75 
- remove open-ovf dependency from ovs-agent due to license issue
  Reimplemented the functions in open-ovf. Also in this patch:
  1. Move all assembly implementations to agent/lib/assembly.py: keep all logic
  together.
  2. Import internal reference files on import_assembly(), but implement external
  (http/https) reference files on deploy_assembly(). Before we do everything on
  import_assembly().
  3. Also return Templates created on deploy_assembly() besides ISOs and VirtualDisks.
  4. Removed some unused/unsupported contents from get_assembly_config(): Name,
  Strings, Floppy.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 14399740] 

* Thu Aug 02 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-74 
- The script calls sys.exit() to terminate the program. sys.exit() will raise
  SystemExit which is then caught by the exception handler and printed. As our
  intention here is just to terminate the program, this patch calls os._exit()
  instead. os._exit() will terminate the program without raising any exception.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alex Chartre <alexandre.chartre@oracle.com> 

* Wed Aug 01 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-73 
- Add storage_info command to ovs-agent for devmon.
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14399376] 

* Wed Aug 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-72 
- add GPL header to ldoms/solaris files
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com> 

* Tue Jul 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-71 
- create /var/run/ovs-agent and /var/run/ovmwatch directories dynamically.
  For new Linux distributions, /var/run and it's alias /run are tmpfs.  So create
  dir /var/run/ovs-agent and /var/run/ovmwatch during installation time makes no
  sense any more.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jul 26 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-70 
- sparc vm cpu reconfigure does not work
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 25 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-69 
- Compare the slave MTU to the bond MTU since the bond MTY equal to its slave MTU,
  and there could be more than one slave in the bond. [bug 14365805] 

* Wed Jul 25 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-68 
- sparc template and assembly support
  list_vms fails on sparc if there is an inactive domain
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Eric Sharakan <eric.sharakan@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Jul 25 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-67 
- Add ISCSI_Target contents into "ovs-agent-rpc discover_physical_luns".
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 13968454] 

* Tue Jul 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-66 
- prevent vm from starting when server is in maintenance mode (ldoms)
  add agent password file for migration (ldoms)
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Eric Sharakan <eric.sharakan@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Jul 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-65 
- add vnc console and serial console capabilities
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Ellen Batbouta <ellen.batbouta@oracle.com> 

* Tue Jul 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-64 
- change error text to hide maintenance mode from Agent: it's a Manager only concept.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Jul 24 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-63 
- Add the missed new script file to the patch merge-ovs-storage-utils-into-agent. 

* Mon Jul 23 2012 Bijan Mottahedeh <bijan.mottahedeh@oracle.com> - 3.2.1-62 
- Dynamic Vnet Support.
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jul 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-61 
- remove Solaris and PRI code because of licensing issue (temporary solution for beta release)
  improve version reporting
  sparc vm start fails for vm with no vnet
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Mon Jul 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-60 
- Bug 14355079 - JOB HUNG STARTING VM: ON SERVER: SVS001; SVR NOT RETURNING START COMMAND SUCCESS
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon Jul 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-59 
- Fix Agent HA starting VMs on Server in maintenance mode issue.
  The solution is to use server roles to restrict start_vm(): if the server has
  no 'xen' role, start_vm() will raise an exception.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> 

* Mon Jul 23 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-58 
- Merge the useful files from ovs-storage-utils into ovs-agent and only build the ovs-agent rpm. Also, take off vi from the file names.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Zhang <zhigang.zhang@oracle.com> 

* Mon Jul 23 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-57 
- Agent excludes VIFs from the network discovery by testing if /sys/class/net/vifx.y/device exists.
  If it does not then exclude it from discovery. Since the device entry exists in the new Kernel,
  this test is no longer valid. Use the Vif name to exclude it instead. [bug 14298598] 

* Fri Jul 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-56 
- add missing patch r8609 (overrriden by r8613) again:
  r8609 | zhigwang | 2012-06-06 15:44:34 -0400 (Wed, 06 Jun 2012) | 14 lines
  Changed paths: 
     M /ovm/trunk/agent/lib/linux.py 
  check free space before unpack file 
  If there's not enough space, we don't need to unpack a file. 
  Unfortunately, we cannot get unpacked filesize for tar/tar.gz/tar.bz2.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14134281]

* Fri Jul 20 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-55 
- add VM_MEMORY_ALIGNMENT capability
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> [bug 14192206]

* Thu Jul 19 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-54 
- sparc network discovery fails with bridge over bond
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-53 
- sparc XML output for bond discovery is incorrect
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Jul 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-52 
- sparc vlan/bond/bridge merge errors
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Wed Jul 18 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-51 
- socket shutdown errors should be ignored
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Jul 16 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-50 
- sparc discover_network fails with existing vswitch
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jul 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-49 
- add local storage element capability
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jul 12 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-48 
- exclusive LockFile fails on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jul 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-47 
- If import templates from one server and start the VM in another server, it seems
  the disk is not ready and pygrub will return error. However, this happened twice
  in unittest, but I haven't reproduced that yet.
  This patch will do a fsync() to the disk file.
  This patch also removes some wrong comments: copy_file() returns nothing on success.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14268749] 

* Tue Jul 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-46 
- fix logic error on create_vm
  This error is introduced in 3.2.1 during refactor: when VM directory exists, VM
  creation will success but no parameter will be applied, which is wrong.
  This patch fixes that and reverts to the old (3.1.1-) behavior: will apply
  parameters when the VM directory exists.
  Also remove unused passwdfile.default.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Jul 02 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-45 
- If a bond interface does not have IP, do not exit just continue to get the MTU. [bug 14250851] 

* Tue Jun 26 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-44 
- For some old systems which don't have the qualified UUID from SMBIO, we need to generat one, otherwise, we'd run into the problem that same UUID shared by different server.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jun 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-43 
- Restrict agent password to at least 6 characters due to oracle security policy
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14221303]

* Mon Jun 25 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-42 
- According to RFC4122, fix the UUID little-endian issue for SMBIOS version 2.6 or later.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Zhang <zhigang.zhang@oracle.com> [bug 14175428] 

* Sat Jun 23 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-41 
- LDoms VM configuration API and ovmwatch daemon
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Thu Jun 21 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-40 
- The lock to prevent concurrent db access is not working. It is caused by wrong
  parameters passed to LockFile.acquire(). The patch also makes the parameters
  of LockFile.acquire() more consistant with that of FileLock.acquire().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 14215643 

* Thu Jun 21 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-39 
- LDoms network API
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <bijan.mottahedeh@oracle.com> 

* Wed Jun 20 2012 Jingjie Jiang <jingjie.jiang@oracle.com> - 3.2.1-38 
- Clean-up the xml output from command discover_hardware since some items were NOT needed by Manager. 

* Wed Jun 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-37 
- Parse /etc/sysconfig/o2cb in discover_cluster().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
- Set the bond MTU to equal to the primary interface MTU, if the primary
  interface MTU is not 1500 [bug 14187447] 

* Sun Jun 17 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-36 
- LDoms host API
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Bijan Mottahedeh <Bijan.Mottahedeh@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Jun 15 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-35 
- This problem was caused by the indent value is getting too large for the buffer.
  It is interesting that it produces on this system only. In case it is fixed
  and tested on ca-otest318 [bug 14105411] 

* Fri Jun 15 2012  <> - 3.2.1-34 
- correct the value of nr_nodes for NUMA system.
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14141554] 

* Fri Jun 15 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-33 
- Increase max number of bonds from 6 TO 10 for ovm 3.2.1 [bug 13998493] 

* Thu Jun 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-32 
- retain default password upon upgrade
  If  customers using the default password (oracle), the old password file will
  be removed upon upgrading from 3.1.1- to 3.2.1.
  This patch will fix this: save before upgrade and then restore after upgrade. [bug 14158623] 

* Thu Jun 14 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-31 
- Xend will destroy a VM is the VM restart too fast (within 60 seconds) to prevent
  loops.
  With this patch, reboot_vm() will first check the elapse time since start. If
  it's less then 60 seconds, it will wait for a while until the elapse time reach
  the 60 seconds limit. Then it will call xm reboot.
  The reboot_vm() time will a bit longer if you call it immediately after start_vm():
  # time ovs-agent-rpc reboot_vm "'6e6654265fb24a70996f4a531318d85f'"
  "'07468e5732fc4a02941ecb57d1068dc9'"
  real    1m20.618s
  user    0m0.076s
  sys    0m0.032s
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 13984761&14189650&14139399&14056739] 

* Mon Jun 11 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-30 
- Skip MII,Ethtool,and WOL data for VLAN interfaces.
  This info is duplicate and not used by the manager. [bug 14105411] 

* Thu Jun 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-29 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jun 07 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-28 
- Repository db upgrade is broken
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Jun 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-27 
- Bump Agent API version to [3]
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed Jun 06 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.2.1-26 
- Add MTU bond to discovery [bug 13952504] 

* Wed Jun 06 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-25 
- Foundations for LDoms support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-24 
- Check if VIP is correctly bound to base IP before configuration.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14107022 

* Wed Jun 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-23 
- check free space before unpack file
  If there's not enough space, we don't need to unpack a file.
  Unfortunately, we cannot get unpacked filesize for tar/tar.gz/tar.bz2.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14134281] 

* Wed Jun 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-22 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-21 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jun 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-20 
- remove some unused capabilities
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Ellen Batbouta <ellen.batbouta@oracle.com> 

* Tue Jun 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-19 
- add local vm running lock
  Before this patch, if users start the same VM upon it rebooting (shutdown, but
  about to start), two instances could be started.
  With this patch, we add a local VM running lock. Then either the rebooting
  instance get the lock, or the newly started one.
  We add a new local lock because the current dlm lock doesn't support this; dlm
  lock only prevent the VM from running on multiple nodes.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 14147772] 

* Fri Jun 01 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-18 
- using crypt() with salt and sha512 for agent password
  The old SHA password will be replaced upon successful authentication.
  Also the default user is removed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: John Haxby <john.haxby@oracle.com> [bug 14018738&13423154] 

* Fri Jun 01 2012 Cathy Avery <cathy.avery@oracle.com> - 3.2.1-17 
- Removed duplicate SERVER_RESERVED marker [bug 13785226] 

* Thu May 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-16 
- fix ovs_async_proc() returns none issue.
  Currently the caller (Manager) gets two XMLRPC responses: the PID and None.
  Most of the time PID is returned first so there's no problem. That's why it's
  hard to reproduce. We should exit the child to eliminate the second None return. [bug 14102901] 

* Wed May 30 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-15 
- Improve cluster teardown to avoid breaking the cluster when operation fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 14024916] 

* Thu May 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-14 
- make vmconfig/assembly/template code more generic
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Fri May 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.2.1-13 
- Do not notify master change on manual remaster so the core API won't be confused.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 13955543 

* Thu May 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-12 
- Include VLAN ID and port base-name in the VLAN block (ethx.y) during discover network.
  This is to accommodates the manager requirement when handling Linux, and Solaris network discovery.
- retain server roles when removing server from pool
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Fri May 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-11 
- add more capabilities to discover server
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 11 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-10 
- move generic api network methods to base class
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 11 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-9 
- move generic api host methods to base class
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-8 
- add discover server capabilities support
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon May 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-7 
- report vm running on xenstore break
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Mon May 07 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-6 
- check xenstore for vm running.
  This works even when xend is stopped.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Fri May 04 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 3.2.1-5 
- EINTR errors returned by select() should be ignored
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue May 01 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-4 
- Fix server role handling.
  After this patch, agent will not care about server roles; it just stores it
  there and return it on discovery.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 14021630&13967480] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-3 
- covert file using pipeline and get ride of unsecured old_run_cmd().
  Also add some check before running the pipeline command. [bug 13586490] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-2 
- console: fix running vm number
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13938197] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.2.1-1
- Rebase 

* Wed Apr 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-89 
- Revert the patch for bug 13955543.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Apr 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-88 
- Send the remaster notification when remaster happens on a non-clustered server.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Apr 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-87 
- Do not send the remaster notification on a manual remaster.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 13955543] 

* Fri Apr 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-86 
- The bug was caused by missing the tap device in HVM guest. It is correct now,
  all interfaces of a bridge will be changed. [bug 13951015] 

* Thu Apr 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-85 
- fix no SMBIOS info on discover_hardware for Dell machines.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Mar 30 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-84 
- fixed [bug 13901695] 

* Thu Mar 29 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-83 
- put hostname and ip into log to make debugging easier
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Mar 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-82 
- Parse /etc/oracle-release to get OS name and version.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13807427] 

* Wed Mar 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-81 
- Revert commit 8250. 

* Wed Mar 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-80 
- Update host OS name to Oracle Linux.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13807427] 

* Wed Mar 28 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-79 
- Reduce the connected retry time on connection reset from 60
  second to 30 second, and Replace  exception  with error logs [bug 13044663] 

* Mon Mar 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-78 
- use different directives for hvm/pvm vnc [bug 13887745] 

* Mon Mar 26 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-77 
- fixed [bug 13885504] 

* Sat Mar 24 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-76 
- Persist mtu when add an interface to a bridge [bug 13865181] 

* Fri Mar 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-75 
- ovfxen: support new VirtualSystemType
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Fri Mar 23 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-74 
- Fixed logic error [bug 13880013] 

* Tue Mar 20 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-73 
- Close the opened file when lock fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Mar 19 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-72 
- Preserve the default route when a adding a bridge to a bond where the
  default route is on one of its VLANs Ex (bond.5) [bug 13848014] 

* Mon Mar 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-71 
- restart ovm-consoled to refresh SSL tty/vnc console wrappers upon take/release ownership.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Mar 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-70 
- Protect remaster() with locking.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Mar 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-69 
- Protect qlayer-monitor reload with locking.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Mar 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-68 
- filelock: close file on lock error.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 13808494] 

* Tue Mar 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-67 
- Fixed a problem that may cause adding a port to a bond to fail 

* Tue Mar 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-66 
- Fixed a return error when enabling lro 

* Mon Mar 12 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-65 
- Remove cluster.conf before stopping o2cb in cluster configuration rollback.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 13033100 

* Mon Mar 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-64 
- Do not write the MAC address to the config file if we are adding a vlan over a bond. [bug 13611644] 

* Mon Mar 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-63 
- disable interface(physical,bond,and vlans) LRO when adding it to a bridge [bug 13835180] 

* Thu Mar 08 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-62 
- Update messages sent to the core API when cluster operations fail.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Mar 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-61 
- Update 3 APIs to allow disposal of a cluster in error.
  destroy_cluster()
  leave_cluster()
  deconfigure_server_for_cluster()
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> 

* Tue Mar 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-60 
- Flush the cache after updating .ovsrepo so the update will be available on a
  different server connected to the same filesystem. It is related to the API
  ocfs2_get_meta_data() which reads the filesystem directly.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13804273] 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-59 
- Add libaio-devel for build requires in the spec file.

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-58 
- Update build requires in the spec file.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-57 
- Remove an unused variable.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-56 
- Add libaio to linux_xen/setup.py to compile the ocfs2 extension.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-55 
- Make MTU persistent,and some clean up [bug 13725393] 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-54 
- Fix the monitor base if it is broken on a clustered non-master server.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Feb 27 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-53 
- ovfxen: adding default 'bootloader' and 'builder' to pv guest
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13618553] 

* Fri Feb 24 2012  <> - 3.1.1-52 
- discover_physical_luns should be in the linux host module
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Feb 24 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-51 
- Added deviceSizeRefresh call as first step of name change of deviceResize 

* Fri Feb 24 2012  <> - 3.1.1-50 
- poolfs API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 23 2012  <> - 3.1.1-49 
- cluster API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Feb 23 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-48 
- Fixed typo 

* Thu Feb 23 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-47 
- Fix monitor base if broken before statistics processing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13615293] 

* Thu Feb 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-46 
- use maxvcpus instead vcpu_avail
  Dynamic cpu feature needs some change in Manager side. Here is the current status:
  1. vcpu_avail is not used any more: we need to use maxvcpus and vcpus. (someone
  hacked to support this change between 3.4 and 4.0, but kept vcpu_avail option
  there. I should notify find it early. sorry.)
  2. dynamic vcpu change only works for PV guest right now.
  3. dynamic vcpu change only support shrink vcpu numbers right now.
  For 2 and 3, maybe we should document it in release note. Latest xen-unstable
  using xl is still the case.
  Attached is the agent side change. Please make the Manager side change:
  1. don't use vcpu_avail at all.
  2. use maxvcpus for cpu limit
  3. use vcpus for dynamic cpu count
  The good part is: after changing to vcpus and maxvcpus, when we switch to xl, no
  change is needed in Manager side.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13644714] 

* Wed Feb 22 2012  <> - 3.1.1-45 
- network API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Feb 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-44 
- Port discover hardware/network and C extentions to UEK2, xen 4.1.2 

* Fri Feb 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-43 
- Flush the cache before reading ocfs2 directly.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Feb 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-42 
- add missing patch during refactor:
  r6971 | juwei | 2011-09-15 16:50:36 -0400 (Thu, 15 Sep 2011) | 9 lines
  Allow server removal when HB_CONFIGURED and server addition when CLUSTERED while in both cases the agent just does nothing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12715713] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-41 
- add missing patch during refactor:
  r7043 | zhigwang | 2011-10-05 17:23:41 -0400 (Wed, 05 Oct 2011) | 4 lines
  Changed paths:
  M /ovm/trunk/utils/common.py
  M /ovm/trunk/vm.py
  remove error log in progress report thread 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-40 
- add missing patch during refactor:
  r6953 | zhigwang | 2011-09-13 14:59:32 -0400 (Tue, 13 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/OVSConstants.py
  change monitor grace time to 3600
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-39 
- add missing patch during refactor:
  r6983 | amisherf | 2011-09-16 17:02:25 -0400 (Fri, 16 Sep 2011) | 4 lines
  Changed paths:
  M /ovm/trunk/OVSNotificationServer.py
  Changed logging.error to logging.exception on send and connect to log stack trace of the binding. [bug 12983608] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-38 
- add missing patch during refactor:
  r7004 | juwei | 2011-09-28 17:03:51 -0400 (Wed, 28 Sep 2011) | 7 lines
  Changed paths:
  M /ovm/trunk/OVSCommons.py
  Log stdout data as well when run_cmd() fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-37 
- add missing patch during refactor:
  ------------------------------------------------------------------------
  r7008 | zhigwang | 2011-09-29 16:43:27 -0400 (Thu, 29 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/OvfXen.py
  ovfxen: allow empty description
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13005139] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-36 
- add back this commit, we missed it during refactor
  r7006 | zhigwang | 2011-09-28 17:38:33 -0400 (Wed, 28 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/host.py
  enable ntpdate on ntpd start
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13578005&12999197] 

* Thu Feb 16 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.1.1-35 
- Remove patch to fix build failure 

* Thu Feb 16 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.1.1-34 
- Fix build failure 

* Wed Feb 15 2012  <> - 3.1.1-33 
- remote API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Feb 15 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-32 
- Update destroy_cluster() / leave_cluster() to allow force removal.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-31
- Rebase the tarball 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-30 
- add lint target
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-29  

* Tue Feb 14 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-28 
- Start the NFS service before export if necessary; Stop the NFS service after unexport if there is no other export.
  Handle the trailing "/" in the given path which causes unexport failures.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Feb 14 2012  <> - 3.1.1-27 
- support for building different targets
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Feb 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-26 
- fix dynamic vcpu setting
  Currently, 'vcpu' means the max vcpu count; 'vcpu_avail' mean the current vcpu
  count. We should change dynamic vcpu count when user set 'vcpu_avail'. [bug 13644714]
- remove unused function run_cmd_bg()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Feb 07 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-25 
- Restore the default route on managenet interface after changing the bond mode. [bug 13693072] 

* Tue Feb 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-24 
- Update export_fs(), unexport_fs() and disocver_exports().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Feb 02 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-23 
- Change export_nfs() and unexport_nfs() to export_fs() and unexport_fs().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Feb 02 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-22 
- fix code bug: remove -> os.remove and logging.Exception -> logging.exception 

* Tue Jan 31 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-21 
- Update cluster discovery to accommodate the code refactoring.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jan 30 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-20 
- Add export_nfs() and unexport_nfs();
  Update discover_mounted_file_systems().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-19 
- fix error on import 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-18 
- This patch moves all xm calls to one place: xenxm.py.
  It's easier for ldoms integration and xl replacement.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-17
- Rebase the tarball

* Wed Jan 25 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-16 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jan 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-15 
- This patch adds a new testcase for some utils functions. It also removes some
  executable property from files. And also fixed a bug on progress reporter.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jan 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-14 
- fix typo: Oracel -> Oracle [bug 13533327] 

* Fri Jan 20 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-13 
- Minor changes to file read. 

* Thu Jan 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-12 
- remove unused xend configuration APIs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jan 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-11 
- stop_vm: support stopping orphan VMs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Jan 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-10 
- Fix parsing of /proc/mounts.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jan 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-9 
- The rest of change mtu 

* Thu Jan 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-8 
- re-wrote ovs_change_mtu to except a range of values (1500 to 64000),
  and to changes  mtu on a physical,vlan,bond,and bridge interface 

* Thu Jan 12 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-7 
- OK this now works. 

* Thu Jan 12 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-6 
- Backout server reserve changes. 

* Wed Jan 11 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-5 
- Added boot from san disk exclusions to new server reserve xml tag 

* Wed Jan 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-4 
- Allow Manager to edit repository db when manager UUID is NONE. [bug 13563964] 

* Wed Jan 11 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-3 
- Fix indentation in discover_cluster().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Jan 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-2 
- add missing unconfigure_vm() implement. 

* Fri Jan 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-1 
- Initial build.
